include dll.e
include wglext.ew
include glext.ew

global constant GL_VENDOR = #1F00 
global constant GL_RENDERER = #1F01 
global constant GL_VERSION = #1F02 
global constant GL_EXTENSIONS = #1F03 
constant gl_vector_buffer = allocate(128)

function EXT_glGetString(atom name)
        atom err,b
        sequence ret
        err=glGetString(name)
        ret={}
        while 1 do
                if peek(err)=0 then exit else ret&=peek(err) end if
                err+=1
        end while
        return ret
end function

function define_gl_proc(sequence name,sequence args)
atom ptr
        poke(gl_vector_buffer,name&0)
        ptr=c_func(CwglGetProcAddress,{gl_vector_buffer})
        if ptr=0 then
                printf(1,"Unknown GL_EXTENSION '%s'\n",{name})
        else
                printf(1,"%s\n",{name})
        end if
        return define_c_proc({},ptr,args)
end function

function define_gl_func(sequence name,sequence args, atom retval)
atom ptr
        poke(gl_vector_buffer,name&0)
        ptr=c_func(CwglGetProcAddress,{gl_vector_buffer})
        if ptr=0 then
                printf(1,"Unknown GL_EXTENSION '%s'\n",{name})
        else
                printf(1,"%s\n",{name})
        end if
        return define_c_func({},ptr,args,retval)
end function

global procedure define_all_EXT()
--        puts(1,EXT_glGetString(GL_VENDOR)&10)
--        puts(1,EXT_glGetString(GL_RENDERER)&10)
--        puts(1,EXT_glGetString(GL_VERSION)&10)
--        puts(1,EXT_glGetString(GL_EXTENSIONS)&10)


CwglCreateBufferRegionARB=define_gl_proc("wglCreateBufferRegionARB",{C_INT})
CwglDeleteBufferRegionARB=define_gl_proc("wglDeleteBufferRegionARB",{})
CwglSaveBufferRegionARB=define_gl_proc("wglSaveBufferRegionARB",{C_INT,C_INT,C_INT,C_INT})
CwglRestoreBufferRegionARB=define_gl_proc("wglRestoreBufferRegionARB",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CwglGetPixelFormatAttribivARB=define_gl_proc("wglGetPixelFormatAttribivARB",{C_INT,C_INT,C_POINTER,C_INT})
CwglGetPixelFormatAttribfvARB=define_gl_proc("wglGetPixelFormatAttribfvARB",{C_INT,C_INT,C_POINTER})
CwglChoosePixelFormatARB=define_gl_proc("wglChoosePixelFormatARB",{C_POINTER,C_INT})
CwglMakeContextCurrentARB=define_gl_proc("wglMakeContextCurrentARB",{})
CwglGetCurrentReadDCARB=define_gl_proc("wglGetCurrentReadDCARB",{})
CwglCreatePbufferARB=define_gl_proc("wglCreatePbufferARB",{C_INT,C_INT,C_INT,C_POINTER})
CwglGetPbufferDCARB=define_gl_proc("wglGetPbufferDCARB",{})
CwglReleasePbufferDCARB=define_gl_func("wglReleasePbufferDCARB",{},C_INT)
CwglDestroyPbufferARB=define_gl_proc("wglDestroyPbufferARB",{})
CwglQueryPbufferARB=define_gl_proc("wglQueryPbufferARB",{C_INT,C_INT})
CwglBindTexImageARB=define_gl_proc("wglBindTexImageARB",{C_INT})
CwglReleaseTexImageARB=define_gl_proc("wglReleaseTexImageARB",{C_INT})
CwglSetPbufferAttribARB=define_gl_proc("wglSetPbufferAttribARB",{C_POINTER})
CwglCreateDisplayColorTableEXT=define_gl_func("wglCreateDisplayColorTableEXT",{C_SHORT},C_CHAR)
CwglLoadDisplayColorTableEXT=define_gl_func("wglLoadDisplayColorTableEXT",{C_POINTER,C_INT},C_CHAR)
CwglBindDisplayColorTableEXT=define_gl_func("wglBindDisplayColorTableEXT",{C_SHORT},C_CHAR)
CwglDestroyDisplayColorTableEXT=define_gl_proc("wglDestroyDisplayColorTableEXT",{C_SHORT})
CwglMakeContextCurrentEXT=define_gl_proc("wglMakeContextCurrentEXT",{})
CwglGetCurrentReadDCEXT=define_gl_proc("wglGetCurrentReadDCEXT",{})
CwglCreatePbufferEXT=define_gl_proc("wglCreatePbufferEXT",{C_INT,C_INT,C_INT,C_POINTER})
CwglGetPbufferDCEXT=define_gl_proc("wglGetPbufferDCEXT",{})
CwglReleasePbufferDCEXT=define_gl_func("wglReleasePbufferDCEXT",{},C_INT)
CwglDestroyPbufferEXT=define_gl_proc("wglDestroyPbufferEXT",{})
CwglQueryPbufferEXT=define_gl_proc("wglQueryPbufferEXT",{C_INT,C_INT})
CwglGetPixelFormatAttribivEXT=define_gl_proc("wglGetPixelFormatAttribivEXT",{C_INT,C_INT,C_INT,C_INT})
CwglGetPixelFormatAttribfvEXT=define_gl_proc("wglGetPixelFormatAttribfvEXT",{C_INT,C_INT,C_INT})
CwglChoosePixelFormatEXT=define_gl_proc("wglChoosePixelFormatEXT",{C_POINTER,C_INT})
CwglSwapIntervalEXT=define_gl_proc("wglSwapIntervalEXT",{C_INT})
CwglGetSwapIntervalEXT=define_gl_func("wglGetSwapIntervalEXT",{},C_INT)
CwglAllocateMemoryNV=define_gl_proc("wglAllocateMemoryNV",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT})
CwglFreeMemoryNV=define_gl_proc("wglFreeMemoryNV",{})
CwglGetSyncValuesOML=define_gl_proc("wglGetSyncValuesOML",{})
CwglGetMscRateOML=define_gl_proc("wglGetMscRateOML",{})
CwglSwapBuffersMscOML=define_gl_proc("wglSwapBuffersMscOML",{})
CwglSwapLayerBuffersMscOML=define_gl_proc("wglSwapLayerBuffersMscOML",{C_INT})
CwglWaitForMscOML=define_gl_proc("wglWaitForMscOML",{})
CwglWaitForSbcOML=define_gl_proc("wglWaitForSbcOML",{})
CwglGetDigitalVideoParametersI3D=define_gl_proc("wglGetDigitalVideoParametersI3D",{C_INT,C_INT})
CwglSetDigitalVideoParametersI3D=define_gl_proc("wglSetDigitalVideoParametersI3D",{C_INT,C_POINTER})
CwglGetGammaTableParametersI3D=define_gl_proc("wglGetGammaTableParametersI3D",{C_INT,C_INT})
CwglSetGammaTableParametersI3D=define_gl_proc("wglSetGammaTableParametersI3D",{C_INT,C_POINTER})
CwglGetGammaTableI3D=define_gl_proc("wglGetGammaTableI3D",{C_INT})
CwglSetGammaTableI3D=define_gl_proc("wglSetGammaTableI3D",{C_INT})
CwglEnableGenlockI3D=define_gl_proc("wglEnableGenlockI3D",{})
CwglDisableGenlockI3D=define_gl_proc("wglDisableGenlockI3D",{})
CwglIsEnabledGenlockI3D=define_gl_proc("wglIsEnabledGenlockI3D",{})
CwglGenlockSourceI3D=define_gl_proc("wglGenlockSourceI3D",{})
CwglGetGenlockSourceI3D=define_gl_proc("wglGetGenlockSourceI3D",{})
CwglGenlockSourceEdgeI3D=define_gl_proc("wglGenlockSourceEdgeI3D",{})
CwglGetGenlockSourceEdgeI3D=define_gl_proc("wglGetGenlockSourceEdgeI3D",{})
CwglGenlockSampleRateI3D=define_gl_proc("wglGenlockSampleRateI3D",{})
CwglGetGenlockSampleRateI3D=define_gl_proc("wglGetGenlockSampleRateI3D",{})
CwglGenlockSourceDelayI3D=define_gl_proc("wglGenlockSourceDelayI3D",{})
CwglGetGenlockSourceDelayI3D=define_gl_proc("wglGetGenlockSourceDelayI3D",{})
CwglQueryGenlockMaxSourceDelayI3D=define_gl_proc("wglQueryGenlockMaxSourceDelayI3D",{})
CwglCreateImageBufferI3D=define_gl_proc("wglCreateImageBufferI3D",{})
CwglDestroyImageBufferI3D=define_gl_proc("wglDestroyImageBufferI3D",{})
CwglAssociateImageBufferEventsI3D=define_gl_proc("wglAssociateImageBufferEventsI3D",{})
CwglReleaseImageBufferEventsI3D=define_gl_proc("wglReleaseImageBufferEventsI3D",{})
CwglEnableFrameLockI3D=define_gl_proc("wglEnableFrameLockI3D",{})
CwglDisableFrameLockI3D=define_gl_proc("wglDisableFrameLockI3D",{})
CwglIsEnabledFrameLockI3D=define_gl_proc("wglIsEnabledFrameLockI3D",{})
CwglQueryFrameLockMasterI3D=define_gl_proc("wglQueryFrameLockMasterI3D",{})
CwglGetFrameUsageI3D=define_gl_proc("wglGetFrameUsageI3D",{C_FLOAT})
CwglBeginFrameTrackingI3D=define_gl_proc("wglBeginFrameTrackingI3D",{})
CwglEndFrameTrackingI3D=define_gl_proc("wglEndFrameTrackingI3D",{})
CwglQueryFrameTrackingI3D=define_gl_proc("wglQueryFrameTrackingI3D",{C_FLOAT})




CglBlendColor=define_gl_proc("glBlendColor",{C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglBlendEquation=define_gl_proc("glBlendEquation",{C_INT})
CglDrawRangeElements=define_gl_proc("glDrawRangeElements",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglColorTable=define_gl_proc("glColorTable",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglColorTableParameterfv=define_gl_proc("glColorTableParameterfv",{C_INT,C_INT,C_POINTER})
CglColorTableParameteriv=define_gl_proc("glColorTableParameteriv",{C_INT,C_INT,C_POINTER})
CglCopyColorTable=define_gl_proc("glCopyColorTable",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetColorTable=define_gl_proc("glGetColorTable",{C_INT,C_INT,C_INT})
CglGetColorTableParameterfv=define_gl_proc("glGetColorTableParameterfv",{C_INT,C_INT,C_FLOAT})
CglGetColorTableParameteriv=define_gl_proc("glGetColorTableParameteriv",{C_INT,C_INT,C_INT})
CglColorSubTable=define_gl_proc("glColorSubTable",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglCopyColorSubTable=define_gl_proc("glCopyColorSubTable",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglConvolutionFilter1D=define_gl_proc("glConvolutionFilter1D",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglConvolutionFilter2D=define_gl_proc("glConvolutionFilter2D",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglConvolutionParameterf=define_gl_proc("glConvolutionParameterf",{C_INT,C_INT,C_FLOAT})
CglConvolutionParameterfv=define_gl_proc("glConvolutionParameterfv",{C_INT,C_INT,C_POINTER})
CglConvolutionParameteri=define_gl_proc("glConvolutionParameteri",{C_INT,C_INT,C_INT})
CglConvolutionParameteriv=define_gl_proc("glConvolutionParameteriv",{C_INT,C_INT,C_POINTER})
CglCopyConvolutionFilter1D=define_gl_proc("glCopyConvolutionFilter1D",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglCopyConvolutionFilter2D=define_gl_proc("glCopyConvolutionFilter2D",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetConvolutionFilter=define_gl_proc("glGetConvolutionFilter",{C_INT,C_INT,C_INT})
CglGetConvolutionParameterfv=define_gl_proc("glGetConvolutionParameterfv",{C_INT,C_INT,C_FLOAT})
CglGetConvolutionParameteriv=define_gl_proc("glGetConvolutionParameteriv",{C_INT,C_INT,C_INT})
CglGetSeparableFilter=define_gl_proc("glGetSeparableFilter",{C_INT,C_INT,C_INT})
CglSeparableFilter2D=define_gl_proc("glSeparableFilter2D",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetHistogram=define_gl_proc("glGetHistogram",{C_INT,C_CHAR,C_INT,C_INT})
CglGetHistogramParameterfv=define_gl_proc("glGetHistogramParameterfv",{C_INT,C_INT,C_FLOAT})
CglGetHistogramParameteriv=define_gl_proc("glGetHistogramParameteriv",{C_INT,C_INT,C_INT})
CglGetMinmax=define_gl_proc("glGetMinmax",{C_INT,C_CHAR,C_INT,C_INT})
CglGetMinmaxParameterfv=define_gl_proc("glGetMinmaxParameterfv",{C_INT,C_INT,C_FLOAT})
CglGetMinmaxParameteriv=define_gl_proc("glGetMinmaxParameteriv",{C_INT,C_INT,C_INT})
CglHistogram=define_gl_proc("glHistogram",{C_INT,C_INT,C_INT,C_CHAR})
CglMinmax=define_gl_proc("glMinmax",{C_INT,C_INT,C_CHAR})
CglResetHistogram=define_gl_proc("glResetHistogram",{C_INT})
CglResetMinmax=define_gl_proc("glResetMinmax",{C_INT})
CglTexImage3D=define_gl_proc("glTexImage3D",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglTexSubImage3D=define_gl_proc("glTexSubImage3D",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCopyTexSubImage3D=define_gl_proc("glCopyTexSubImage3D",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglActiveTexture=define_gl_proc("glActiveTexture",{C_INT})
CglClientActiveTexture=define_gl_proc("glClientActiveTexture",{C_INT})
CglMultiTexCoord1d=define_gl_proc("glMultiTexCoord1d",{C_INT,C_DOUBLE})
CglMultiTexCoord1dv=define_gl_proc("glMultiTexCoord1dv",{C_INT,C_POINTER})
CglMultiTexCoord1f=define_gl_proc("glMultiTexCoord1f",{C_INT,C_FLOAT})
CglMultiTexCoord1fv=define_gl_proc("glMultiTexCoord1fv",{C_INT,C_POINTER})
CglMultiTexCoord1i=define_gl_proc("glMultiTexCoord1i",{C_INT,C_INT})
CglMultiTexCoord1iv=define_gl_proc("glMultiTexCoord1iv",{C_INT,C_POINTER})
CglMultiTexCoord1s=define_gl_proc("glMultiTexCoord1s",{C_INT,C_SHORT})
CglMultiTexCoord1sv=define_gl_proc("glMultiTexCoord1sv",{C_INT,C_POINTER})
CglMultiTexCoord2d=define_gl_proc("glMultiTexCoord2d",{C_INT,C_DOUBLE,C_DOUBLE})
CglMultiTexCoord2dv=define_gl_proc("glMultiTexCoord2dv",{C_INT,C_POINTER})
CglMultiTexCoord2f=define_gl_proc("glMultiTexCoord2f",{C_INT,C_FLOAT,C_FLOAT})
CglMultiTexCoord2fv=define_gl_proc("glMultiTexCoord2fv",{C_INT,C_POINTER})
CglMultiTexCoord2i=define_gl_proc("glMultiTexCoord2i",{C_INT,C_INT,C_INT})
CglMultiTexCoord2iv=define_gl_proc("glMultiTexCoord2iv",{C_INT,C_POINTER})
CglMultiTexCoord2s=define_gl_proc("glMultiTexCoord2s",{C_INT,C_SHORT,C_SHORT})
CglMultiTexCoord2sv=define_gl_proc("glMultiTexCoord2sv",{C_INT,C_POINTER})
CglMultiTexCoord3d=define_gl_proc("glMultiTexCoord3d",{C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglMultiTexCoord3dv=define_gl_proc("glMultiTexCoord3dv",{C_INT,C_POINTER})
CglMultiTexCoord3f=define_gl_proc("glMultiTexCoord3f",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT})
CglMultiTexCoord3fv=define_gl_proc("glMultiTexCoord3fv",{C_INT,C_POINTER})
CglMultiTexCoord3i=define_gl_proc("glMultiTexCoord3i",{C_INT,C_INT,C_INT,C_INT})
CglMultiTexCoord3iv=define_gl_proc("glMultiTexCoord3iv",{C_INT,C_POINTER})
CglMultiTexCoord3s=define_gl_proc("glMultiTexCoord3s",{C_INT,C_SHORT,C_SHORT,C_SHORT})
CglMultiTexCoord3sv=define_gl_proc("glMultiTexCoord3sv",{C_INT,C_POINTER})
CglMultiTexCoord4d=define_gl_proc("glMultiTexCoord4d",{C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglMultiTexCoord4dv=define_gl_proc("glMultiTexCoord4dv",{C_INT,C_POINTER})
CglMultiTexCoord4f=define_gl_proc("glMultiTexCoord4f",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglMultiTexCoord4fv=define_gl_proc("glMultiTexCoord4fv",{C_INT,C_POINTER})
CglMultiTexCoord4i=define_gl_proc("glMultiTexCoord4i",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglMultiTexCoord4iv=define_gl_proc("glMultiTexCoord4iv",{C_INT,C_POINTER})
CglMultiTexCoord4s=define_gl_proc("glMultiTexCoord4s",{C_INT,C_SHORT,C_SHORT,C_SHORT,C_SHORT})
CglMultiTexCoord4sv=define_gl_proc("glMultiTexCoord4sv",{C_INT,C_POINTER})
CglLoadTransposeMatrixf=define_gl_proc("glLoadTransposeMatrixf",{C_POINTER})
CglLoadTransposeMatrixd=define_gl_proc("glLoadTransposeMatrixd",{C_POINTER})
CglMultTransposeMatrixf=define_gl_proc("glMultTransposeMatrixf",{C_POINTER})
CglMultTransposeMatrixd=define_gl_proc("glMultTransposeMatrixd",{C_POINTER})
CglSampleCoverage=define_gl_proc("glSampleCoverage",{C_FLOAT,C_CHAR})
CglCompressedTexImage3D=define_gl_proc("glCompressedTexImage3D",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCompressedTexImage2D=define_gl_proc("glCompressedTexImage2D",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCompressedTexImage1D=define_gl_proc("glCompressedTexImage1D",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCompressedTexSubImage3D=define_gl_proc("glCompressedTexSubImage3D",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCompressedTexSubImage2D=define_gl_proc("glCompressedTexSubImage2D",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCompressedTexSubImage1D=define_gl_proc("glCompressedTexSubImage1D",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetCompressedTexImage=define_gl_proc("glGetCompressedTexImage",{C_INT,C_INT})
CglBlendFuncSeparate=define_gl_proc("glBlendFuncSeparate",{C_INT,C_INT,C_INT,C_INT})
CglFogCoordf=define_gl_proc("glFogCoordf",{C_FLOAT})
CglFogCoordfv=define_gl_proc("glFogCoordfv",{C_POINTER})
CglFogCoordd=define_gl_proc("glFogCoordd",{C_DOUBLE})
CglFogCoorddv=define_gl_proc("glFogCoorddv",{C_POINTER})
CglFogCoordPointer=define_gl_proc("glFogCoordPointer",{C_INT,C_INT})
CglMultiDrawArrays=define_gl_proc("glMultiDrawArrays",{C_INT,C_INT,C_INT,C_INT})
CglMultiDrawElements=define_gl_proc("glMultiDrawElements",{C_INT,C_POINTER,C_INT,C_INT})
CglPointParameterf=define_gl_proc("glPointParameterf",{C_INT,C_FLOAT})
CglPointParameterfv=define_gl_proc("glPointParameterfv",{C_INT,C_POINTER})
CglPointParameteri=define_gl_proc("glPointParameteri",{C_INT,C_INT})
CglPointParameteriv=define_gl_proc("glPointParameteriv",{C_INT,C_POINTER})
CglSecondaryColor3b=define_gl_proc("glSecondaryColor3b",{C_CHAR,C_CHAR,C_CHAR})
CglSecondaryColor3bv=define_gl_proc("glSecondaryColor3bv",{C_POINTER})
CglSecondaryColor3d=define_gl_proc("glSecondaryColor3d",{C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglSecondaryColor3dv=define_gl_proc("glSecondaryColor3dv",{C_POINTER})
CglSecondaryColor3f=define_gl_proc("glSecondaryColor3f",{C_FLOAT,C_FLOAT,C_FLOAT})
CglSecondaryColor3fv=define_gl_proc("glSecondaryColor3fv",{C_POINTER})
CglSecondaryColor3i=define_gl_proc("glSecondaryColor3i",{C_INT,C_INT,C_INT})
CglSecondaryColor3iv=define_gl_proc("glSecondaryColor3iv",{C_POINTER})
CglSecondaryColor3s=define_gl_proc("glSecondaryColor3s",{C_SHORT,C_SHORT,C_SHORT})
CglSecondaryColor3sv=define_gl_proc("glSecondaryColor3sv",{C_POINTER})
CglSecondaryColor3ub=define_gl_proc("glSecondaryColor3ub",{C_CHAR,C_CHAR,C_CHAR})
CglSecondaryColor3ubv=define_gl_proc("glSecondaryColor3ubv",{C_POINTER})
CglSecondaryColor3ui=define_gl_proc("glSecondaryColor3ui",{C_INT,C_INT,C_INT})
CglSecondaryColor3uiv=define_gl_proc("glSecondaryColor3uiv",{C_POINTER})
CglSecondaryColor3us=define_gl_proc("glSecondaryColor3us",{C_SHORT,C_SHORT,C_SHORT})
CglSecondaryColor3usv=define_gl_proc("glSecondaryColor3usv",{C_POINTER})
CglSecondaryColorPointer=define_gl_proc("glSecondaryColorPointer",{C_INT,C_INT,C_INT})
CglWindowPos2d=define_gl_proc("glWindowPos2d",{C_DOUBLE,C_DOUBLE})
CglWindowPos2dv=define_gl_proc("glWindowPos2dv",{C_POINTER})
CglWindowPos2f=define_gl_proc("glWindowPos2f",{C_FLOAT,C_FLOAT})
CglWindowPos2fv=define_gl_proc("glWindowPos2fv",{C_POINTER})
CglWindowPos2i=define_gl_proc("glWindowPos2i",{C_INT,C_INT})
CglWindowPos2iv=define_gl_proc("glWindowPos2iv",{C_POINTER})
CglWindowPos2s=define_gl_proc("glWindowPos2s",{C_SHORT,C_SHORT})
CglWindowPos2sv=define_gl_proc("glWindowPos2sv",{C_POINTER})
CglWindowPos3d=define_gl_proc("glWindowPos3d",{C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglWindowPos3dv=define_gl_proc("glWindowPos3dv",{C_POINTER})
CglWindowPos3f=define_gl_proc("glWindowPos3f",{C_FLOAT,C_FLOAT,C_FLOAT})
CglWindowPos3fv=define_gl_proc("glWindowPos3fv",{C_POINTER})
CglWindowPos3i=define_gl_proc("glWindowPos3i",{C_INT,C_INT,C_INT})
CglWindowPos3iv=define_gl_proc("glWindowPos3iv",{C_POINTER})
CglWindowPos3s=define_gl_proc("glWindowPos3s",{C_SHORT,C_SHORT,C_SHORT})
CglWindowPos3sv=define_gl_proc("glWindowPos3sv",{C_POINTER})
CglActiveTextureARB=define_gl_proc("glActiveTextureARB",{C_INT})
CglClientActiveTextureARB=define_gl_proc("glClientActiveTextureARB",{C_INT})
CglMultiTexCoord1dARB=define_gl_proc("glMultiTexCoord1dARB",{C_INT,C_DOUBLE})
CglMultiTexCoord1dvARB=define_gl_proc("glMultiTexCoord1dvARB",{C_INT,C_POINTER})
CglMultiTexCoord1fARB=define_gl_proc("glMultiTexCoord1fARB",{C_INT,C_FLOAT})
CglMultiTexCoord1fvARB=define_gl_proc("glMultiTexCoord1fvARB",{C_INT,C_POINTER})
CglMultiTexCoord1iARB=define_gl_proc("glMultiTexCoord1iARB",{C_INT,C_INT})
CglMultiTexCoord1ivARB=define_gl_proc("glMultiTexCoord1ivARB",{C_INT,C_POINTER})
CglMultiTexCoord1sARB=define_gl_proc("glMultiTexCoord1sARB",{C_INT,C_SHORT})
CglMultiTexCoord1svARB=define_gl_proc("glMultiTexCoord1svARB",{C_INT,C_POINTER})
CglMultiTexCoord2dARB=define_gl_proc("glMultiTexCoord2dARB",{C_INT,C_DOUBLE,C_DOUBLE})
CglMultiTexCoord2dvARB=define_gl_proc("glMultiTexCoord2dvARB",{C_INT,C_POINTER})
CglMultiTexCoord2fARB=define_gl_proc("glMultiTexCoord2fARB",{C_INT,C_FLOAT,C_FLOAT})
CglMultiTexCoord2fvARB=define_gl_proc("glMultiTexCoord2fvARB",{C_INT,C_POINTER})
CglMultiTexCoord2iARB=define_gl_proc("glMultiTexCoord2iARB",{C_INT,C_INT,C_INT})
CglMultiTexCoord2ivARB=define_gl_proc("glMultiTexCoord2ivARB",{C_INT,C_POINTER})
CglMultiTexCoord2sARB=define_gl_proc("glMultiTexCoord2sARB",{C_INT,C_SHORT,C_SHORT})
CglMultiTexCoord2svARB=define_gl_proc("glMultiTexCoord2svARB",{C_INT,C_POINTER})
CglMultiTexCoord3dARB=define_gl_proc("glMultiTexCoord3dARB",{C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglMultiTexCoord3dvARB=define_gl_proc("glMultiTexCoord3dvARB",{C_INT,C_POINTER})
CglMultiTexCoord3fARB=define_gl_proc("glMultiTexCoord3fARB",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT})
CglMultiTexCoord3fvARB=define_gl_proc("glMultiTexCoord3fvARB",{C_INT,C_POINTER})
CglMultiTexCoord3iARB=define_gl_proc("glMultiTexCoord3iARB",{C_INT,C_INT,C_INT,C_INT})
CglMultiTexCoord3ivARB=define_gl_proc("glMultiTexCoord3ivARB",{C_INT,C_POINTER})
CglMultiTexCoord3sARB=define_gl_proc("glMultiTexCoord3sARB",{C_INT,C_SHORT,C_SHORT,C_SHORT})
CglMultiTexCoord3svARB=define_gl_proc("glMultiTexCoord3svARB",{C_INT,C_POINTER})
CglMultiTexCoord4dARB=define_gl_proc("glMultiTexCoord4dARB",{C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglMultiTexCoord4dvARB=define_gl_proc("glMultiTexCoord4dvARB",{C_INT,C_POINTER})
CglMultiTexCoord4fARB=define_gl_proc("glMultiTexCoord4fARB",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglMultiTexCoord4fvARB=define_gl_proc("glMultiTexCoord4fvARB",{C_INT,C_POINTER})
CglMultiTexCoord4iARB=define_gl_proc("glMultiTexCoord4iARB",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglMultiTexCoord4ivARB=define_gl_proc("glMultiTexCoord4ivARB",{C_INT,C_POINTER})
CglMultiTexCoord4sARB=define_gl_proc("glMultiTexCoord4sARB",{C_INT,C_SHORT,C_SHORT,C_SHORT,C_SHORT})
CglMultiTexCoord4svARB=define_gl_proc("glMultiTexCoord4svARB",{C_INT,C_POINTER})
CglLoadTransposeMatrixfARB=define_gl_proc("glLoadTransposeMatrixfARB",{C_POINTER})
CglLoadTransposeMatrixdARB=define_gl_proc("glLoadTransposeMatrixdARB",{C_POINTER})
CglMultTransposeMatrixfARB=define_gl_proc("glMultTransposeMatrixfARB",{C_POINTER})
CglMultTransposeMatrixdARB=define_gl_proc("glMultTransposeMatrixdARB",{C_POINTER})
CglSampleCoverageARB=define_gl_proc("glSampleCoverageARB",{C_FLOAT,C_CHAR})
CglCompressedTexImage3DARB=define_gl_proc("glCompressedTexImage3DARB",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCompressedTexImage2DARB=define_gl_proc("glCompressedTexImage2DARB",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCompressedTexImage1DARB=define_gl_proc("glCompressedTexImage1DARB",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCompressedTexSubImage3DARB=define_gl_proc("glCompressedTexSubImage3DARB",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCompressedTexSubImage2DARB=define_gl_proc("glCompressedTexSubImage2DARB",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCompressedTexSubImage1DARB=define_gl_proc("glCompressedTexSubImage1DARB",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetCompressedTexImageARB=define_gl_proc("glGetCompressedTexImageARB",{C_INT,C_INT})
CglPointParameterfARB=define_gl_proc("glPointParameterfARB",{C_INT,C_FLOAT})
CglPointParameterfvARB=define_gl_proc("glPointParameterfvARB",{C_INT,C_POINTER})
CglWeightbvARB=define_gl_proc("glWeightbvARB",{C_INT,C_POINTER})
CglWeightsvARB=define_gl_proc("glWeightsvARB",{C_INT,C_POINTER})
CglWeightivARB=define_gl_proc("glWeightivARB",{C_INT,C_POINTER})
CglWeightfvARB=define_gl_proc("glWeightfvARB",{C_INT,C_POINTER})
CglWeightdvARB=define_gl_proc("glWeightdvARB",{C_INT,C_POINTER})
CglWeightubvARB=define_gl_proc("glWeightubvARB",{C_INT,C_POINTER})
CglWeightusvARB=define_gl_proc("glWeightusvARB",{C_INT,C_POINTER})
CglWeightuivARB=define_gl_proc("glWeightuivARB",{C_INT,C_POINTER})
CglWeightPointerARB=define_gl_proc("glWeightPointerARB",{C_INT,C_INT,C_INT})
CglVertexBlendARB=define_gl_proc("glVertexBlendARB",{C_INT})
CglCurrentPaletteMatrixARB=define_gl_proc("glCurrentPaletteMatrixARB",{C_INT})
CglMatrixIndexubvARB=define_gl_proc("glMatrixIndexubvARB",{C_INT,C_POINTER})
CglMatrixIndexusvARB=define_gl_proc("glMatrixIndexusvARB",{C_INT,C_POINTER})
CglMatrixIndexuivARB=define_gl_proc("glMatrixIndexuivARB",{C_INT,C_POINTER})
CglMatrixIndexPointerARB=define_gl_proc("glMatrixIndexPointerARB",{C_INT,C_INT,C_INT})
CglWindowPos2dARB=define_gl_proc("glWindowPos2dARB",{C_DOUBLE,C_DOUBLE})
CglWindowPos2dvARB=define_gl_proc("glWindowPos2dvARB",{C_POINTER})
CglWindowPos2fARB=define_gl_proc("glWindowPos2fARB",{C_FLOAT,C_FLOAT})
CglWindowPos2fvARB=define_gl_proc("glWindowPos2fvARB",{C_POINTER})
CglWindowPos2iARB=define_gl_proc("glWindowPos2iARB",{C_INT,C_INT})
CglWindowPos2ivARB=define_gl_proc("glWindowPos2ivARB",{C_POINTER})
CglWindowPos2sARB=define_gl_proc("glWindowPos2sARB",{C_SHORT,C_SHORT})
CglWindowPos2svARB=define_gl_proc("glWindowPos2svARB",{C_POINTER})
CglWindowPos3dARB=define_gl_proc("glWindowPos3dARB",{C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglWindowPos3dvARB=define_gl_proc("glWindowPos3dvARB",{C_POINTER})
CglWindowPos3fARB=define_gl_proc("glWindowPos3fARB",{C_FLOAT,C_FLOAT,C_FLOAT})
CglWindowPos3fvARB=define_gl_proc("glWindowPos3fvARB",{C_POINTER})
CglWindowPos3iARB=define_gl_proc("glWindowPos3iARB",{C_INT,C_INT,C_INT})
CglWindowPos3ivARB=define_gl_proc("glWindowPos3ivARB",{C_POINTER})
CglWindowPos3sARB=define_gl_proc("glWindowPos3sARB",{C_SHORT,C_SHORT,C_SHORT})
CglWindowPos3svARB=define_gl_proc("glWindowPos3svARB",{C_POINTER})
CglVertexAttrib1dARB=define_gl_proc("glVertexAttrib1dARB",{C_INT,C_DOUBLE})
CglVertexAttrib1dvARB=define_gl_proc("glVertexAttrib1dvARB",{C_INT,C_POINTER})
CglVertexAttrib1fARB=define_gl_proc("glVertexAttrib1fARB",{C_INT,C_FLOAT})
CglVertexAttrib1fvARB=define_gl_proc("glVertexAttrib1fvARB",{C_INT,C_POINTER})
CglVertexAttrib1sARB=define_gl_proc("glVertexAttrib1sARB",{C_INT,C_SHORT})
CglVertexAttrib1svARB=define_gl_proc("glVertexAttrib1svARB",{C_INT,C_POINTER})
CglVertexAttrib2dARB=define_gl_proc("glVertexAttrib2dARB",{C_INT,C_DOUBLE,C_DOUBLE})
CglVertexAttrib2dvARB=define_gl_proc("glVertexAttrib2dvARB",{C_INT,C_POINTER})
CglVertexAttrib2fARB=define_gl_proc("glVertexAttrib2fARB",{C_INT,C_FLOAT,C_FLOAT})
CglVertexAttrib2fvARB=define_gl_proc("glVertexAttrib2fvARB",{C_INT,C_POINTER})
CglVertexAttrib2sARB=define_gl_proc("glVertexAttrib2sARB",{C_INT,C_SHORT,C_SHORT})
CglVertexAttrib2svARB=define_gl_proc("glVertexAttrib2svARB",{C_INT,C_POINTER})
CglVertexAttrib3dARB=define_gl_proc("glVertexAttrib3dARB",{C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglVertexAttrib3dvARB=define_gl_proc("glVertexAttrib3dvARB",{C_INT,C_POINTER})
CglVertexAttrib3fARB=define_gl_proc("glVertexAttrib3fARB",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT})
CglVertexAttrib3fvARB=define_gl_proc("glVertexAttrib3fvARB",{C_INT,C_POINTER})
CglVertexAttrib3sARB=define_gl_proc("glVertexAttrib3sARB",{C_INT,C_SHORT,C_SHORT,C_SHORT})
CglVertexAttrib3svARB=define_gl_proc("glVertexAttrib3svARB",{C_INT,C_POINTER})
CglVertexAttrib4NbvARB=define_gl_proc("glVertexAttrib4NbvARB",{C_INT,C_POINTER})
CglVertexAttrib4NivARB=define_gl_proc("glVertexAttrib4NivARB",{C_INT,C_POINTER})
CglVertexAttrib4NsvARB=define_gl_proc("glVertexAttrib4NsvARB",{C_INT,C_POINTER})
CglVertexAttrib4NubARB=define_gl_proc("glVertexAttrib4NubARB",{C_INT,C_CHAR,C_CHAR,C_CHAR,C_CHAR})
CglVertexAttrib4NubvARB=define_gl_proc("glVertexAttrib4NubvARB",{C_INT,C_POINTER})
CglVertexAttrib4NuivARB=define_gl_proc("glVertexAttrib4NuivARB",{C_INT,C_POINTER})
CglVertexAttrib4NusvARB=define_gl_proc("glVertexAttrib4NusvARB",{C_INT,C_POINTER})
CglVertexAttrib4bvARB=define_gl_proc("glVertexAttrib4bvARB",{C_INT,C_POINTER})
CglVertexAttrib4dARB=define_gl_proc("glVertexAttrib4dARB",{C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglVertexAttrib4dvARB=define_gl_proc("glVertexAttrib4dvARB",{C_INT,C_POINTER})
CglVertexAttrib4fARB=define_gl_proc("glVertexAttrib4fARB",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglVertexAttrib4fvARB=define_gl_proc("glVertexAttrib4fvARB",{C_INT,C_POINTER})
CglVertexAttrib4ivARB=define_gl_proc("glVertexAttrib4ivARB",{C_INT,C_POINTER})
CglVertexAttrib4sARB=define_gl_proc("glVertexAttrib4sARB",{C_INT,C_SHORT,C_SHORT,C_SHORT,C_SHORT})
CglVertexAttrib4svARB=define_gl_proc("glVertexAttrib4svARB",{C_INT,C_POINTER})
CglVertexAttrib4ubvARB=define_gl_proc("glVertexAttrib4ubvARB",{C_INT,C_POINTER})
CglVertexAttrib4uivARB=define_gl_proc("glVertexAttrib4uivARB",{C_INT,C_POINTER})
CglVertexAttrib4usvARB=define_gl_proc("glVertexAttrib4usvARB",{C_INT,C_POINTER})
CglVertexAttribPointerARB=define_gl_proc("glVertexAttribPointerARB",{C_INT,C_INT,C_INT,C_CHAR,C_INT})
CglEnableVertexAttribArrayARB=define_gl_proc("glEnableVertexAttribArrayARB",{C_INT})
CglDisableVertexAttribArrayARB=define_gl_proc("glDisableVertexAttribArrayARB",{C_INT})
CglProgramStringARB=define_gl_proc("glProgramStringARB",{C_INT,C_INT,C_INT})
CglBindProgramARB=define_gl_proc("glBindProgramARB",{C_INT,C_INT})
CglDeleteProgramsARB=define_gl_proc("glDeleteProgramsARB",{C_INT,C_POINTER})
CglGenProgramsARB=define_gl_proc("glGenProgramsARB",{C_INT,C_INT})
CglProgramEnvParameter4dARB=define_gl_proc("glProgramEnvParameter4dARB",{C_INT,C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglProgramEnvParameter4dvARB=define_gl_proc("glProgramEnvParameter4dvARB",{C_INT,C_INT,C_POINTER})
CglProgramEnvParameter4fARB=define_gl_proc("glProgramEnvParameter4fARB",{C_INT,C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglProgramEnvParameter4fvARB=define_gl_proc("glProgramEnvParameter4fvARB",{C_INT,C_INT,C_POINTER})
CglProgramLocalParameter4dARB=define_gl_proc("glProgramLocalParameter4dARB",{C_INT,C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglProgramLocalParameter4dvARB=define_gl_proc("glProgramLocalParameter4dvARB",{C_INT,C_INT,C_POINTER})
CglProgramLocalParameter4fARB=define_gl_proc("glProgramLocalParameter4fARB",{C_INT,C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglProgramLocalParameter4fvARB=define_gl_proc("glProgramLocalParameter4fvARB",{C_INT,C_INT,C_POINTER})
CglGetProgramEnvParameterdvARB=define_gl_proc("glGetProgramEnvParameterdvARB",{C_INT,C_INT,C_DOUBLE})
CglGetProgramEnvParameterfvARB=define_gl_proc("glGetProgramEnvParameterfvARB",{C_INT,C_INT,C_FLOAT})
CglGetProgramLocalParameterdvARB=define_gl_proc("glGetProgramLocalParameterdvARB",{C_INT,C_INT,C_DOUBLE})
CglGetProgramLocalParameterfvARB=define_gl_proc("glGetProgramLocalParameterfvARB",{C_INT,C_INT,C_FLOAT})
CglGetProgramivARB=define_gl_proc("glGetProgramivARB",{C_INT,C_INT,C_INT})
CglGetProgramStringARB=define_gl_proc("glGetProgramStringARB",{C_INT,C_INT})
CglGetVertexAttribdvARB=define_gl_proc("glGetVertexAttribdvARB",{C_INT,C_INT,C_DOUBLE})
CglGetVertexAttribfvARB=define_gl_proc("glGetVertexAttribfvARB",{C_INT,C_INT,C_FLOAT})
CglGetVertexAttribivARB=define_gl_proc("glGetVertexAttribivARB",{C_INT,C_INT,C_INT})
CglGetVertexAttribPointervARB=define_gl_proc("glGetVertexAttribPointervARB",{C_INT,C_INT})
CglIsProgramARB=define_gl_func("glIsProgramARB",{C_INT},C_CHAR)
CglBindBufferARB=define_gl_proc("glBindBufferARB",{C_INT,C_INT})
CglDeleteBuffersARB=define_gl_proc("glDeleteBuffersARB",{C_INT,C_POINTER})
CglGenBuffersARB=define_gl_proc("glGenBuffersARB",{C_INT,C_INT})
CglIsBufferARB=define_gl_func("glIsBufferARB",{C_INT},C_CHAR)
CglBufferDataARB=define_gl_proc("glBufferDataARB",{C_INT,C_POINTER,C_INT})
CglBufferSubDataARB=define_gl_proc("glBufferSubDataARB",{C_INT,C_POINTER,C_POINTER})
CglGetBufferSubDataARB=define_gl_proc("glGetBufferSubDataARB",{C_INT,C_POINTER,C_POINTER})
CglMapBufferARB=define_gl_proc("glMapBufferARB",{C_INT,C_INT})
CglUnmapBufferARB=define_gl_func("glUnmapBufferARB",{C_INT},C_CHAR)
CglGetBufferParameterivARB=define_gl_proc("glGetBufferParameterivARB",{C_INT,C_INT,C_INT})
CglGetBufferPointervARB=define_gl_proc("glGetBufferPointervARB",{C_INT,C_INT})
CglBlendColorEXT=define_gl_proc("glBlendColorEXT",{C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglPolygonOffsetEXT=define_gl_proc("glPolygonOffsetEXT",{C_FLOAT,C_FLOAT})
CglTexImage3DEXT=define_gl_proc("glTexImage3DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglTexSubImage3DEXT=define_gl_proc("glTexSubImage3DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetTexFilterFuncSGIS=define_gl_proc("glGetTexFilterFuncSGIS",{C_INT,C_INT,C_FLOAT})
CglTexFilterFuncSGIS=define_gl_proc("glTexFilterFuncSGIS",{C_INT,C_INT,C_INT,C_POINTER})
CglTexSubImage1DEXT=define_gl_proc("glTexSubImage1DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglTexSubImage2DEXT=define_gl_proc("glTexSubImage2DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCopyTexImage1DEXT=define_gl_proc("glCopyTexImage1DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCopyTexImage2DEXT=define_gl_proc("glCopyTexImage2DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCopyTexSubImage1DEXT=define_gl_proc("glCopyTexSubImage1DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCopyTexSubImage2DEXT=define_gl_proc("glCopyTexSubImage2DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCopyTexSubImage3DEXT=define_gl_proc("glCopyTexSubImage3DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetHistogramEXT=define_gl_proc("glGetHistogramEXT",{C_INT,C_CHAR,C_INT,C_INT})
CglGetHistogramParameterfvEXT=define_gl_proc("glGetHistogramParameterfvEXT",{C_INT,C_INT,C_FLOAT})
CglGetHistogramParameterivEXT=define_gl_proc("glGetHistogramParameterivEXT",{C_INT,C_INT,C_INT})
CglGetMinmaxEXT=define_gl_proc("glGetMinmaxEXT",{C_INT,C_CHAR,C_INT,C_INT})
CglGetMinmaxParameterfvEXT=define_gl_proc("glGetMinmaxParameterfvEXT",{C_INT,C_INT,C_FLOAT})
CglGetMinmaxParameterivEXT=define_gl_proc("glGetMinmaxParameterivEXT",{C_INT,C_INT,C_INT})
CglHistogramEXT=define_gl_proc("glHistogramEXT",{C_INT,C_INT,C_INT,C_CHAR})
CglMinmaxEXT=define_gl_proc("glMinmaxEXT",{C_INT,C_INT,C_CHAR})
CglResetHistogramEXT=define_gl_proc("glResetHistogramEXT",{C_INT})
CglResetMinmaxEXT=define_gl_proc("glResetMinmaxEXT",{C_INT})
CglConvolutionFilter1DEXT=define_gl_proc("glConvolutionFilter1DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglConvolutionFilter2DEXT=define_gl_proc("glConvolutionFilter2DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglConvolutionParameterfEXT=define_gl_proc("glConvolutionParameterfEXT",{C_INT,C_INT,C_FLOAT})
CglConvolutionParameterfvEXT=define_gl_proc("glConvolutionParameterfvEXT",{C_INT,C_INT,C_POINTER})
CglConvolutionParameteriEXT=define_gl_proc("glConvolutionParameteriEXT",{C_INT,C_INT,C_INT})
CglConvolutionParameterivEXT=define_gl_proc("glConvolutionParameterivEXT",{C_INT,C_INT,C_POINTER})
CglCopyConvolutionFilter1DEXT=define_gl_proc("glCopyConvolutionFilter1DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglCopyConvolutionFilter2DEXT=define_gl_proc("glCopyConvolutionFilter2DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetConvolutionFilterEXT=define_gl_proc("glGetConvolutionFilterEXT",{C_INT,C_INT,C_INT})
CglGetConvolutionParameterfvEXT=define_gl_proc("glGetConvolutionParameterfvEXT",{C_INT,C_INT,C_FLOAT})
CglGetConvolutionParameterivEXT=define_gl_proc("glGetConvolutionParameterivEXT",{C_INT,C_INT,C_INT})
CglGetSeparableFilterEXT=define_gl_proc("glGetSeparableFilterEXT",{C_INT,C_INT,C_INT})
CglSeparableFilter2DEXT=define_gl_proc("glSeparableFilter2DEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglColorTableSGI=define_gl_proc("glColorTableSGI",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglColorTableParameterfvSGI=define_gl_proc("glColorTableParameterfvSGI",{C_INT,C_INT,C_POINTER})
CglColorTableParameterivSGI=define_gl_proc("glColorTableParameterivSGI",{C_INT,C_INT,C_POINTER})
CglCopyColorTableSGI=define_gl_proc("glCopyColorTableSGI",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetColorTableSGI=define_gl_proc("glGetColorTableSGI",{C_INT,C_INT,C_INT})
CglGetColorTableParameterfvSGI=define_gl_proc("glGetColorTableParameterfvSGI",{C_INT,C_INT,C_FLOAT})
CglGetColorTableParameterivSGI=define_gl_proc("glGetColorTableParameterivSGI",{C_INT,C_INT,C_INT})
CglPixelTexGenSGIX=define_gl_proc("glPixelTexGenSGIX",{C_INT})
CglPixelTexGenParameteriSGIS=define_gl_proc("glPixelTexGenParameteriSGIS",{C_INT,C_INT})
CglPixelTexGenParameterivSGIS=define_gl_proc("glPixelTexGenParameterivSGIS",{C_INT,C_POINTER})
CglPixelTexGenParameterfSGIS=define_gl_proc("glPixelTexGenParameterfSGIS",{C_INT,C_FLOAT})
CglPixelTexGenParameterfvSGIS=define_gl_proc("glPixelTexGenParameterfvSGIS",{C_INT,C_POINTER})
CglGetPixelTexGenParameterivSGIS=define_gl_proc("glGetPixelTexGenParameterivSGIS",{C_INT,C_INT})
CglGetPixelTexGenParameterfvSGIS=define_gl_proc("glGetPixelTexGenParameterfvSGIS",{C_INT,C_FLOAT})
CglTexImage4DSGIS=define_gl_proc("glTexImage4DSGIS",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglTexSubImage4DSGIS=define_gl_proc("glTexSubImage4DSGIS",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglAreTexturesResidentEXT=define_gl_func("glAreTexturesResidentEXT",{C_INT,C_POINTER,C_CHAR},C_CHAR)
CglBindTextureEXT=define_gl_proc("glBindTextureEXT",{C_INT,C_INT})
CglDeleteTexturesEXT=define_gl_proc("glDeleteTexturesEXT",{C_INT,C_POINTER})
CglGenTexturesEXT=define_gl_proc("glGenTexturesEXT",{C_INT,C_INT})
CglIsTextureEXT=define_gl_func("glIsTextureEXT",{C_INT},C_CHAR)
CglPrioritizeTexturesEXT=define_gl_proc("glPrioritizeTexturesEXT",{C_INT,C_POINTER,C_POINTER})
CglDetailTexFuncSGIS=define_gl_proc("glDetailTexFuncSGIS",{C_INT,C_INT,C_POINTER})
CglGetDetailTexFuncSGIS=define_gl_proc("glGetDetailTexFuncSGIS",{C_INT,C_FLOAT})
CglSharpenTexFuncSGIS=define_gl_proc("glSharpenTexFuncSGIS",{C_INT,C_INT,C_POINTER})
CglGetSharpenTexFuncSGIS=define_gl_proc("glGetSharpenTexFuncSGIS",{C_INT,C_FLOAT})
CglSampleMaskSGIS=define_gl_proc("glSampleMaskSGIS",{C_FLOAT,C_CHAR})
CglSamplePatternSGIS=define_gl_proc("glSamplePatternSGIS",{C_INT})
CglArrayElementEXT=define_gl_proc("glArrayElementEXT",{C_INT})
CglColorPointerEXT=define_gl_proc("glColorPointerEXT",{C_INT,C_INT,C_INT,C_INT})
CglDrawArraysEXT=define_gl_proc("glDrawArraysEXT",{C_INT,C_INT,C_INT})
CglEdgeFlagPointerEXT=define_gl_proc("glEdgeFlagPointerEXT",{C_INT,C_INT,C_POINTER})
CglGetPointervEXT=define_gl_proc("glGetPointervEXT",{C_INT})
CglIndexPointerEXT=define_gl_proc("glIndexPointerEXT",{C_INT,C_INT,C_INT})
CglNormalPointerEXT=define_gl_proc("glNormalPointerEXT",{C_INT,C_INT,C_INT})
CglTexCoordPointerEXT=define_gl_proc("glTexCoordPointerEXT",{C_INT,C_INT,C_INT,C_INT})
CglVertexPointerEXT=define_gl_proc("glVertexPointerEXT",{C_INT,C_INT,C_INT,C_INT})
CglBlendEquationEXT=define_gl_proc("glBlendEquationEXT",{C_INT})
CglSpriteParameterfSGIX=define_gl_proc("glSpriteParameterfSGIX",{C_INT,C_FLOAT})
CglSpriteParameterfvSGIX=define_gl_proc("glSpriteParameterfvSGIX",{C_INT,C_POINTER})
CglSpriteParameteriSGIX=define_gl_proc("glSpriteParameteriSGIX",{C_INT,C_INT})
CglSpriteParameterivSGIX=define_gl_proc("glSpriteParameterivSGIX",{C_INT,C_POINTER})
CglPointParameterfEXT=define_gl_proc("glPointParameterfEXT",{C_INT,C_FLOAT})
CglPointParameterfvEXT=define_gl_proc("glPointParameterfvEXT",{C_INT,C_POINTER})
CglPointParameterfSGIS=define_gl_proc("glPointParameterfSGIS",{C_INT,C_FLOAT})
CglPointParameterfvSGIS=define_gl_proc("glPointParameterfvSGIS",{C_INT,C_POINTER})
CglGetInstrumentsSGIX=define_gl_func("glGetInstrumentsSGIX",{},C_INT)
CglInstrumentsBufferSGIX=define_gl_proc("glInstrumentsBufferSGIX",{C_INT,C_INT})
CglPollInstrumentsSGIX=define_gl_func("glPollInstrumentsSGIX",{C_INT},C_INT)
CglReadInstrumentsSGIX=define_gl_proc("glReadInstrumentsSGIX",{C_INT})
CglStartInstrumentsSGIX=define_gl_proc("glStartInstrumentsSGIX",{})
CglStopInstrumentsSGIX=define_gl_proc("glStopInstrumentsSGIX",{C_INT})
CglFrameZoomSGIX=define_gl_proc("glFrameZoomSGIX",{C_INT})
CglTagSampleBufferSGIX=define_gl_proc("glTagSampleBufferSGIX",{})
CglDeformationMap3dSGIX=define_gl_proc("glDeformationMap3dSGIX",{C_INT,C_DOUBLE,C_DOUBLE,C_INT,C_INT,C_DOUBLE,C_DOUBLE,C_INT,C_INT,C_DOUBLE,C_DOUBLE,C_INT,C_INT,C_POINTER})
CglDeformationMap3fSGIX=define_gl_proc("glDeformationMap3fSGIX",{C_INT,C_FLOAT,C_FLOAT,C_INT,C_INT,C_FLOAT,C_FLOAT,C_INT,C_INT,C_FLOAT,C_FLOAT,C_INT,C_INT,C_POINTER})
CglDeformSGIX=define_gl_proc("glDeformSGIX",{C_INT})
CglLoadIdentityDeformationMapSGIX=define_gl_proc("glLoadIdentityDeformationMapSGIX",{C_INT})
CglReferencePlaneSGIX=define_gl_proc("glReferencePlaneSGIX",{C_POINTER})
CglFlushRasterSGIX=define_gl_proc("glFlushRasterSGIX",{})
CglFogFuncSGIS=define_gl_proc("glFogFuncSGIS",{C_INT,C_POINTER})
CglGetFogFuncSGIS=define_gl_proc("glGetFogFuncSGIS",{C_FLOAT})
CglImageTransformParameteriHP=define_gl_proc("glImageTransformParameteriHP",{C_INT,C_INT,C_INT})
CglImageTransformParameterfHP=define_gl_proc("glImageTransformParameterfHP",{C_INT,C_INT,C_FLOAT})
CglImageTransformParameterivHP=define_gl_proc("glImageTransformParameterivHP",{C_INT,C_INT,C_POINTER})
CglImageTransformParameterfvHP=define_gl_proc("glImageTransformParameterfvHP",{C_INT,C_INT,C_POINTER})
CglGetImageTransformParameterivHP=define_gl_proc("glGetImageTransformParameterivHP",{C_INT,C_INT,C_INT})
CglGetImageTransformParameterfvHP=define_gl_proc("glGetImageTransformParameterfvHP",{C_INT,C_INT,C_FLOAT})
CglColorSubTableEXT=define_gl_proc("glColorSubTableEXT",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglCopyColorSubTableEXT=define_gl_proc("glCopyColorSubTableEXT",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglHintPGI=define_gl_proc("glHintPGI",{C_INT,C_INT})
CglColorTableEXT=define_gl_proc("glColorTableEXT",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetColorTableEXT=define_gl_proc("glGetColorTableEXT",{C_INT,C_INT,C_INT})
CglGetColorTableParameterivEXT=define_gl_proc("glGetColorTableParameterivEXT",{C_INT,C_INT,C_INT})
CglGetColorTableParameterfvEXT=define_gl_proc("glGetColorTableParameterfvEXT",{C_INT,C_INT,C_FLOAT})
CglGetListParameterfvSGIX=define_gl_proc("glGetListParameterfvSGIX",{C_INT,C_INT,C_FLOAT})
CglGetListParameterivSGIX=define_gl_proc("glGetListParameterivSGIX",{C_INT,C_INT,C_INT})
CglListParameterfSGIX=define_gl_proc("glListParameterfSGIX",{C_INT,C_INT,C_FLOAT})
CglListParameterfvSGIX=define_gl_proc("glListParameterfvSGIX",{C_INT,C_INT,C_POINTER})
CglListParameteriSGIX=define_gl_proc("glListParameteriSGIX",{C_INT,C_INT,C_INT})
CglListParameterivSGIX=define_gl_proc("glListParameterivSGIX",{C_INT,C_INT,C_POINTER})
CglIndexMaterialEXT=define_gl_proc("glIndexMaterialEXT",{C_INT,C_INT})
CglIndexFuncEXT=define_gl_proc("glIndexFuncEXT",{C_INT,C_FLOAT})
CglLockArraysEXT=define_gl_proc("glLockArraysEXT",{C_INT,C_INT})
CglUnlockArraysEXT=define_gl_proc("glUnlockArraysEXT",{})
CglCullParameterdvEXT=define_gl_proc("glCullParameterdvEXT",{C_INT,C_DOUBLE})
CglCullParameterfvEXT=define_gl_proc("glCullParameterfvEXT",{C_INT,C_FLOAT})
CglFragmentColorMaterialSGIX=define_gl_proc("glFragmentColorMaterialSGIX",{C_INT,C_INT})
CglFragmentLightfSGIX=define_gl_proc("glFragmentLightfSGIX",{C_INT,C_INT,C_FLOAT})
CglFragmentLightfvSGIX=define_gl_proc("glFragmentLightfvSGIX",{C_INT,C_INT,C_POINTER})
CglFragmentLightiSGIX=define_gl_proc("glFragmentLightiSGIX",{C_INT,C_INT,C_INT})
CglFragmentLightivSGIX=define_gl_proc("glFragmentLightivSGIX",{C_INT,C_INT,C_POINTER})
CglFragmentLightModelfSGIX=define_gl_proc("glFragmentLightModelfSGIX",{C_INT,C_FLOAT})
CglFragmentLightModelfvSGIX=define_gl_proc("glFragmentLightModelfvSGIX",{C_INT,C_POINTER})
CglFragmentLightModeliSGIX=define_gl_proc("glFragmentLightModeliSGIX",{C_INT,C_INT})
CglFragmentLightModelivSGIX=define_gl_proc("glFragmentLightModelivSGIX",{C_INT,C_POINTER})
CglFragmentMaterialfSGIX=define_gl_proc("glFragmentMaterialfSGIX",{C_INT,C_INT,C_FLOAT})
CglFragmentMaterialfvSGIX=define_gl_proc("glFragmentMaterialfvSGIX",{C_INT,C_INT,C_POINTER})
CglFragmentMaterialiSGIX=define_gl_proc("glFragmentMaterialiSGIX",{C_INT,C_INT,C_INT})
CglFragmentMaterialivSGIX=define_gl_proc("glFragmentMaterialivSGIX",{C_INT,C_INT,C_POINTER})
CglGetFragmentLightfvSGIX=define_gl_proc("glGetFragmentLightfvSGIX",{C_INT,C_INT,C_FLOAT})
CglGetFragmentLightivSGIX=define_gl_proc("glGetFragmentLightivSGIX",{C_INT,C_INT,C_INT})
CglGetFragmentMaterialfvSGIX=define_gl_proc("glGetFragmentMaterialfvSGIX",{C_INT,C_INT,C_FLOAT})
CglGetFragmentMaterialivSGIX=define_gl_proc("glGetFragmentMaterialivSGIX",{C_INT,C_INT,C_INT})
CglLightEnviSGIX=define_gl_proc("glLightEnviSGIX",{C_INT,C_INT})
CglDrawRangeElementsEXT=define_gl_proc("glDrawRangeElementsEXT",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglApplyTextureEXT=define_gl_proc("glApplyTextureEXT",{C_INT})
CglTextureLightEXT=define_gl_proc("glTextureLightEXT",{C_INT})
CglTextureMaterialEXT=define_gl_proc("glTextureMaterialEXT",{C_INT,C_INT})
CglAsyncMarkerSGIX=define_gl_proc("glAsyncMarkerSGIX",{C_INT})
CglFinishAsyncSGIX=define_gl_func("glFinishAsyncSGIX",{C_INT},C_INT)
CglPollAsyncSGIX=define_gl_func("glPollAsyncSGIX",{C_INT},C_INT)
CglGenAsyncMarkersSGIX=define_gl_func("glGenAsyncMarkersSGIX",{C_INT},C_INT)
CglDeleteAsyncMarkersSGIX=define_gl_proc("glDeleteAsyncMarkersSGIX",{C_INT,C_INT})
CglIsAsyncMarkerSGIX=define_gl_func("glIsAsyncMarkerSGIX",{C_INT},C_CHAR)
CglVertexPointervINTEL=define_gl_proc("glVertexPointervINTEL",{C_INT,C_INT})
CglNormalPointervINTEL=define_gl_proc("glNormalPointervINTEL",{C_INT})
CglColorPointervINTEL=define_gl_proc("glColorPointervINTEL",{C_INT,C_INT})
CglTexCoordPointervINTEL=define_gl_proc("glTexCoordPointervINTEL",{C_INT,C_INT})
CglPixelTransformParameteriEXT=define_gl_proc("glPixelTransformParameteriEXT",{C_INT,C_INT,C_INT})
CglPixelTransformParameterfEXT=define_gl_proc("glPixelTransformParameterfEXT",{C_INT,C_INT,C_FLOAT})
CglPixelTransformParameterivEXT=define_gl_proc("glPixelTransformParameterivEXT",{C_INT,C_INT,C_POINTER})
CglPixelTransformParameterfvEXT=define_gl_proc("glPixelTransformParameterfvEXT",{C_INT,C_INT,C_POINTER})
CglSecondaryColor3bEXT=define_gl_proc("glSecondaryColor3bEXT",{C_CHAR,C_CHAR,C_CHAR})
CglSecondaryColor3bvEXT=define_gl_proc("glSecondaryColor3bvEXT",{C_POINTER})
CglSecondaryColor3dEXT=define_gl_proc("glSecondaryColor3dEXT",{C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglSecondaryColor3dvEXT=define_gl_proc("glSecondaryColor3dvEXT",{C_POINTER})
CglSecondaryColor3fEXT=define_gl_proc("glSecondaryColor3fEXT",{C_FLOAT,C_FLOAT,C_FLOAT})
CglSecondaryColor3fvEXT=define_gl_proc("glSecondaryColor3fvEXT",{C_POINTER})
CglSecondaryColor3iEXT=define_gl_proc("glSecondaryColor3iEXT",{C_INT,C_INT,C_INT})
CglSecondaryColor3ivEXT=define_gl_proc("glSecondaryColor3ivEXT",{C_POINTER})
CglSecondaryColor3sEXT=define_gl_proc("glSecondaryColor3sEXT",{C_SHORT,C_SHORT,C_SHORT})
CglSecondaryColor3svEXT=define_gl_proc("glSecondaryColor3svEXT",{C_POINTER})
CglSecondaryColor3ubEXT=define_gl_proc("glSecondaryColor3ubEXT",{C_CHAR,C_CHAR,C_CHAR})
CglSecondaryColor3ubvEXT=define_gl_proc("glSecondaryColor3ubvEXT",{C_POINTER})
CglSecondaryColor3uiEXT=define_gl_proc("glSecondaryColor3uiEXT",{C_INT,C_INT,C_INT})
CglSecondaryColor3uivEXT=define_gl_proc("glSecondaryColor3uivEXT",{C_POINTER})
CglSecondaryColor3usEXT=define_gl_proc("glSecondaryColor3usEXT",{C_SHORT,C_SHORT,C_SHORT})
CglSecondaryColor3usvEXT=define_gl_proc("glSecondaryColor3usvEXT",{C_POINTER})
CglSecondaryColorPointerEXT=define_gl_proc("glSecondaryColorPointerEXT",{C_INT,C_INT,C_INT})
CglTextureNormalEXT=define_gl_proc("glTextureNormalEXT",{C_INT})
CglMultiDrawArraysEXT=define_gl_proc("glMultiDrawArraysEXT",{C_INT,C_INT,C_INT,C_INT})
CglMultiDrawElementsEXT=define_gl_proc("glMultiDrawElementsEXT",{C_INT,C_POINTER,C_INT,C_INT})
CglFogCoordfEXT=define_gl_proc("glFogCoordfEXT",{C_FLOAT})
CglFogCoordfvEXT=define_gl_proc("glFogCoordfvEXT",{C_POINTER})
CglFogCoorddEXT=define_gl_proc("glFogCoorddEXT",{C_DOUBLE})
CglFogCoorddvEXT=define_gl_proc("glFogCoorddvEXT",{C_POINTER})
CglFogCoordPointerEXT=define_gl_proc("glFogCoordPointerEXT",{C_INT,C_INT})
CglTangent3bEXT=define_gl_proc("glTangent3bEXT",{C_CHAR,C_CHAR,C_CHAR})
CglTangent3bvEXT=define_gl_proc("glTangent3bvEXT",{C_POINTER})
CglTangent3dEXT=define_gl_proc("glTangent3dEXT",{C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglTangent3dvEXT=define_gl_proc("glTangent3dvEXT",{C_POINTER})
CglTangent3fEXT=define_gl_proc("glTangent3fEXT",{C_FLOAT,C_FLOAT,C_FLOAT})
CglTangent3fvEXT=define_gl_proc("glTangent3fvEXT",{C_POINTER})
CglTangent3iEXT=define_gl_proc("glTangent3iEXT",{C_INT,C_INT,C_INT})
CglTangent3ivEXT=define_gl_proc("glTangent3ivEXT",{C_POINTER})
CglTangent3sEXT=define_gl_proc("glTangent3sEXT",{C_SHORT,C_SHORT,C_SHORT})
CglTangent3svEXT=define_gl_proc("glTangent3svEXT",{C_POINTER})
CglBinormal3bEXT=define_gl_proc("glBinormal3bEXT",{C_CHAR,C_CHAR,C_CHAR})
CglBinormal3bvEXT=define_gl_proc("glBinormal3bvEXT",{C_POINTER})
CglBinormal3dEXT=define_gl_proc("glBinormal3dEXT",{C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglBinormal3dvEXT=define_gl_proc("glBinormal3dvEXT",{C_POINTER})
CglBinormal3fEXT=define_gl_proc("glBinormal3fEXT",{C_FLOAT,C_FLOAT,C_FLOAT})
CglBinormal3fvEXT=define_gl_proc("glBinormal3fvEXT",{C_POINTER})
CglBinormal3iEXT=define_gl_proc("glBinormal3iEXT",{C_INT,C_INT,C_INT})
CglBinormal3ivEXT=define_gl_proc("glBinormal3ivEXT",{C_POINTER})
CglBinormal3sEXT=define_gl_proc("glBinormal3sEXT",{C_SHORT,C_SHORT,C_SHORT})
CglBinormal3svEXT=define_gl_proc("glBinormal3svEXT",{C_POINTER})
CglTangentPointerEXT=define_gl_proc("glTangentPointerEXT",{C_INT,C_INT})
CglBinormalPointerEXT=define_gl_proc("glBinormalPointerEXT",{C_INT,C_INT})
CglFinishTextureSUNX=define_gl_proc("glFinishTextureSUNX",{})
CglGlobalAlphaFactorbSUN=define_gl_proc("glGlobalAlphaFactorbSUN",{C_CHAR})
CglGlobalAlphaFactorsSUN=define_gl_proc("glGlobalAlphaFactorsSUN",{C_SHORT})
CglGlobalAlphaFactoriSUN=define_gl_proc("glGlobalAlphaFactoriSUN",{C_INT})
CglGlobalAlphaFactorfSUN=define_gl_proc("glGlobalAlphaFactorfSUN",{C_FLOAT})
CglGlobalAlphaFactordSUN=define_gl_proc("glGlobalAlphaFactordSUN",{C_DOUBLE})
CglGlobalAlphaFactorubSUN=define_gl_proc("glGlobalAlphaFactorubSUN",{C_CHAR})
CglGlobalAlphaFactorusSUN=define_gl_proc("glGlobalAlphaFactorusSUN",{C_SHORT})
CglGlobalAlphaFactoruiSUN=define_gl_proc("glGlobalAlphaFactoruiSUN",{C_INT})
CglReplacementCodeuiSUN=define_gl_proc("glReplacementCodeuiSUN",{C_INT})
CglReplacementCodeusSUN=define_gl_proc("glReplacementCodeusSUN",{C_SHORT})
CglReplacementCodeubSUN=define_gl_proc("glReplacementCodeubSUN",{C_CHAR})
CglReplacementCodeuivSUN=define_gl_proc("glReplacementCodeuivSUN",{C_POINTER})
CglReplacementCodeusvSUN=define_gl_proc("glReplacementCodeusvSUN",{C_POINTER})
CglReplacementCodeubvSUN=define_gl_proc("glReplacementCodeubvSUN",{C_POINTER})
CglReplacementCodePointerSUN=define_gl_proc("glReplacementCodePointerSUN",{C_INT,C_INT})
CglColor4ubVertex2fSUN=define_gl_proc("glColor4ubVertex2fSUN",{C_CHAR,C_CHAR,C_CHAR,C_CHAR,C_FLOAT,C_FLOAT})
CglColor4ubVertex2fvSUN=define_gl_proc("glColor4ubVertex2fvSUN",{C_POINTER,C_POINTER})
CglColor4ubVertex3fSUN=define_gl_proc("glColor4ubVertex3fSUN",{C_CHAR,C_CHAR,C_CHAR,C_CHAR,C_FLOAT,C_FLOAT,C_FLOAT})
CglColor4ubVertex3fvSUN=define_gl_proc("glColor4ubVertex3fvSUN",{C_POINTER,C_POINTER})
CglColor3fVertex3fSUN=define_gl_proc("glColor3fVertex3fSUN",{C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglColor3fVertex3fvSUN=define_gl_proc("glColor3fVertex3fvSUN",{C_POINTER,C_POINTER})
CglNormal3fVertex3fSUN=define_gl_proc("glNormal3fVertex3fSUN",{C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglNormal3fVertex3fvSUN=define_gl_proc("glNormal3fVertex3fvSUN",{C_POINTER,C_POINTER})
CglColor4fNormal3fVertex3fSUN=define_gl_proc("glColor4fNormal3fVertex3fSUN",{C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglColor4fNormal3fVertex3fvSUN=define_gl_proc("glColor4fNormal3fVertex3fvSUN",{C_POINTER,C_POINTER,C_POINTER})
CglTexCoord2fVertex3fSUN=define_gl_proc("glTexCoord2fVertex3fSUN",{C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglTexCoord2fVertex3fvSUN=define_gl_proc("glTexCoord2fVertex3fvSUN",{C_POINTER,C_POINTER})
CglTexCoord4fVertex4fSUN=define_gl_proc("glTexCoord4fVertex4fSUN",{C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglTexCoord4fVertex4fvSUN=define_gl_proc("glTexCoord4fVertex4fvSUN",{C_POINTER,C_POINTER})
CglTexCoord2fColor4ubVertex3fSUN=define_gl_proc("glTexCoord2fColor4ubVertex3fSUN",{C_FLOAT,C_FLOAT,C_CHAR,C_CHAR,C_CHAR,C_CHAR,C_FLOAT,C_FLOAT,C_FLOAT})
CglTexCoord2fColor4ubVertex3fvSUN=define_gl_proc("glTexCoord2fColor4ubVertex3fvSUN",{C_POINTER,C_POINTER,C_POINTER})
CglTexCoord2fColor3fVertex3fSUN=define_gl_proc("glTexCoord2fColor3fVertex3fSUN",{C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglTexCoord2fColor3fVertex3fvSUN=define_gl_proc("glTexCoord2fColor3fVertex3fvSUN",{C_POINTER,C_POINTER,C_POINTER})
CglTexCoord2fNormal3fVertex3fSUN=define_gl_proc("glTexCoord2fNormal3fVertex3fSUN",{C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglTexCoord2fNormal3fVertex3fvSUN=define_gl_proc("glTexCoord2fNormal3fVertex3fvSUN",{C_POINTER,C_POINTER,C_POINTER})
CglTexCoord2fColor4fNormal3fVertex3fSUN=define_gl_proc("glTexCoord2fColor4fNormal3fVertex3fSUN",{C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglTexCoord2fColor4fNormal3fVertex3fvSUN=define_gl_proc("glTexCoord2fColor4fNormal3fVertex3fvSUN",{C_POINTER,C_POINTER,C_POINTER,C_POINTER})
CglTexCoord4fColor4fNormal3fVertex4fSUN=define_gl_proc("glTexCoord4fColor4fNormal3fVertex4fSUN",
        {C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglTexCoord4fColor4fNormal3fVertex4fvSUN=define_gl_proc("glTexCoord4fColor4fNormal3fVertex4fvSUN",{C_POINTER,C_POINTER,C_POINTER,C_POINTER})
CglReplacementCodeuiVertex3fSUN=define_gl_proc("glReplacementCodeuiVertex3fSUN",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT})
CglReplacementCodeuiVertex3fvSUN=define_gl_proc("glReplacementCodeuiVertex3fvSUN",{C_POINTER,C_POINTER})
CglReplacementCodeuiColor4ubVertex3fSUN=define_gl_proc("glReplacementCodeuiColor4ubVertex3fSUN",{C_INT,C_CHAR,C_CHAR,C_CHAR,C_CHAR,C_FLOAT,C_FLOAT,C_FLOAT})
CglReplacementCodeuiColor4ubVertex3fvSUN=define_gl_proc("glReplacementCodeuiColor4ubVertex3fvSUN",{C_POINTER,C_POINTER,C_POINTER})
CglReplacementCodeuiColor3fVertex3fSUN=define_gl_proc("glReplacementCodeuiColor3fVertex3fSUN",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglReplacementCodeuiColor3fVertex3fvSUN=define_gl_proc("glReplacementCodeuiColor3fVertex3fvSUN",{C_POINTER,C_POINTER,C_POINTER})
CglReplacementCodeuiNormal3fVertex3fSUN=define_gl_proc("glReplacementCodeuiNormal3fVertex3fSUN",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglReplacementCodeuiNormal3fVertex3fvSUN=define_gl_proc("glReplacementCodeuiNormal3fVertex3fvSUN",{C_POINTER,C_POINTER,C_POINTER})
CglReplacementCodeuiColor4fNormal3fVertex3fSUN=define_gl_proc("glReplacementCodeuiColor4fNormal3fVertex3fSUN",
        {C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglReplacementCodeuiColor4fNormal3fVertex3fvSUN=define_gl_proc("glReplacementCodeuiColor4fNormal3fVertex3fvSUN",{C_POINTER,C_POINTER,C_POINTER,C_POINTER})
CglReplacementCodeuiTexCoord2fVertex3fSUN=define_gl_proc("glReplacementCodeuiTexCoord2fVertex3fSUN",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglReplacementCodeuiTexCoord2fVertex3fvSUN=define_gl_proc("glReplacementCodeuiTexCoord2fVertex3fvSUN",{C_POINTER,C_POINTER,C_POINTER})
CglReplacementCodeuiTexCoord2fNormal3fVertex3fSUN=define_gl_proc("glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN=define_gl_proc("glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN",{C_POINTER,C_POINTER,C_POINTER,C_POINTER})
CglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN=define_gl_proc("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN",
        {C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN=define_gl_proc("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN",{C_POINTER,C_POINTER,C_POINTER,C_POINTER,C_POINTER})
CglBlendFuncSeparateEXT=define_gl_proc("glBlendFuncSeparateEXT",{C_INT,C_INT,C_INT,C_INT})
CglBlendFuncSeparateINGR=define_gl_proc("glBlendFuncSeparateINGR",{C_INT,C_INT,C_INT,C_INT})
CglVertexWeightfEXT=define_gl_proc("glVertexWeightfEXT",{C_FLOAT})
CglVertexWeightfvEXT=define_gl_proc("glVertexWeightfvEXT",{C_POINTER})
CglVertexWeightPointerEXT=define_gl_proc("glVertexWeightPointerEXT",{C_INT,C_INT,C_INT})
CglFlushVertexArrayRangeNV=define_gl_proc("glFlushVertexArrayRangeNV",{})
CglVertexArrayRangeNV=define_gl_proc("glVertexArrayRangeNV",{C_INT})
CglCombinerParameterfvNV=define_gl_proc("glCombinerParameterfvNV",{C_INT,C_POINTER})
CglCombinerParameterfNV=define_gl_proc("glCombinerParameterfNV",{C_INT,C_FLOAT})
CglCombinerParameterivNV=define_gl_proc("glCombinerParameterivNV",{C_INT,C_POINTER})
CglCombinerParameteriNV=define_gl_proc("glCombinerParameteriNV",{C_INT,C_INT})
CglCombinerInputNV=define_gl_proc("glCombinerInputNV",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglCombinerOutputNV=define_gl_proc("glCombinerOutputNV",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_CHAR,C_CHAR,C_CHAR})
CglFinalCombinerInputNV=define_gl_proc("glFinalCombinerInputNV",{C_INT,C_INT,C_INT,C_INT})
CglGetCombinerInputParameterfvNV=define_gl_proc("glGetCombinerInputParameterfvNV",{C_INT,C_INT,C_INT,C_INT,C_FLOAT})
CglGetCombinerInputParameterivNV=define_gl_proc("glGetCombinerInputParameterivNV",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetCombinerOutputParameterfvNV=define_gl_proc("glGetCombinerOutputParameterfvNV",{C_INT,C_INT,C_INT,C_FLOAT})
CglGetCombinerOutputParameterivNV=define_gl_proc("glGetCombinerOutputParameterivNV",{C_INT,C_INT,C_INT,C_INT})
CglGetFinalCombinerInputParameterfvNV=define_gl_proc("glGetFinalCombinerInputParameterfvNV",{C_INT,C_INT,C_FLOAT})
CglGetFinalCombinerInputParameterivNV=define_gl_proc("glGetFinalCombinerInputParameterivNV",{C_INT,C_INT,C_INT})
CglResizeBuffersMESA=define_gl_proc("glResizeBuffersMESA",{})
CglWindowPos2dMESA=define_gl_proc("glWindowPos2dMESA",{C_DOUBLE,C_DOUBLE})
CglWindowPos2dvMESA=define_gl_proc("glWindowPos2dvMESA",{C_POINTER})
CglWindowPos2fMESA=define_gl_proc("glWindowPos2fMESA",{C_FLOAT,C_FLOAT})
CglWindowPos2fvMESA=define_gl_proc("glWindowPos2fvMESA",{C_POINTER})
CglWindowPos2iMESA=define_gl_proc("glWindowPos2iMESA",{C_INT,C_INT})
CglWindowPos2ivMESA=define_gl_proc("glWindowPos2ivMESA",{C_POINTER})
CglWindowPos2sMESA=define_gl_proc("glWindowPos2sMESA",{C_SHORT,C_SHORT})
CglWindowPos2svMESA=define_gl_proc("glWindowPos2svMESA",{C_POINTER})
CglWindowPos3dMESA=define_gl_proc("glWindowPos3dMESA",{C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglWindowPos3dvMESA=define_gl_proc("glWindowPos3dvMESA",{C_POINTER})
CglWindowPos3fMESA=define_gl_proc("glWindowPos3fMESA",{C_FLOAT,C_FLOAT,C_FLOAT})
CglWindowPos3fvMESA=define_gl_proc("glWindowPos3fvMESA",{C_POINTER})
CglWindowPos3iMESA=define_gl_proc("glWindowPos3iMESA",{C_INT,C_INT,C_INT})
CglWindowPos3ivMESA=define_gl_proc("glWindowPos3ivMESA",{C_POINTER})
CglWindowPos3sMESA=define_gl_proc("glWindowPos3sMESA",{C_SHORT,C_SHORT,C_SHORT})
CglWindowPos3svMESA=define_gl_proc("glWindowPos3svMESA",{C_POINTER})
CglWindowPos4dMESA=define_gl_proc("glWindowPos4dMESA",{C_DOUBLE,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglWindowPos4dvMESA=define_gl_proc("glWindowPos4dvMESA",{C_POINTER})
CglWindowPos4fMESA=define_gl_proc("glWindowPos4fMESA",{C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglWindowPos4fvMESA=define_gl_proc("glWindowPos4fvMESA",{C_POINTER})
CglWindowPos4iMESA=define_gl_proc("glWindowPos4iMESA",{C_INT,C_INT,C_INT,C_INT})
CglWindowPos4ivMESA=define_gl_proc("glWindowPos4ivMESA",{C_POINTER})
CglWindowPos4sMESA=define_gl_proc("glWindowPos4sMESA",{C_SHORT,C_SHORT,C_SHORT,C_SHORT})
CglWindowPos4svMESA=define_gl_proc("glWindowPos4svMESA",{C_POINTER})
CglMultiModeDrawArraysIBM=define_gl_proc("glMultiModeDrawArraysIBM",{C_INT,C_POINTER,C_POINTER,C_INT,C_INT})
CglMultiModeDrawElementsIBM=define_gl_proc("glMultiModeDrawElementsIBM",{C_POINTER,C_POINTER,C_INT,C_INT,C_INT})
CglColorPointerListIBM=define_gl_proc("glColorPointerListIBM",{C_INT,C_INT,C_INT,C_INT})
CglSecondaryColorPointerListIBM=define_gl_proc("glSecondaryColorPointerListIBM",{C_INT,C_INT,C_INT,C_INT})
CglEdgeFlagPointerListIBM=define_gl_proc("glEdgeFlagPointerListIBM",{C_INT,C_POINTER,C_INT})
CglFogCoordPointerListIBM=define_gl_proc("glFogCoordPointerListIBM",{C_INT,C_INT,C_INT})
CglIndexPointerListIBM=define_gl_proc("glIndexPointerListIBM",{C_INT,C_INT,C_INT})
CglNormalPointerListIBM=define_gl_proc("glNormalPointerListIBM",{C_INT,C_INT,C_INT})
CglTexCoordPointerListIBM=define_gl_proc("glTexCoordPointerListIBM",{C_INT,C_INT,C_INT,C_INT})
CglVertexPointerListIBM=define_gl_proc("glVertexPointerListIBM",{C_INT,C_INT,C_INT,C_INT})
CglTbufferMask3DFX=define_gl_proc("glTbufferMask3DFX",{C_INT})
CglSampleMaskEXT=define_gl_proc("glSampleMaskEXT",{C_FLOAT,C_CHAR})
CglSamplePatternEXT=define_gl_proc("glSamplePatternEXT",{C_INT})
CglTextureColorMaskSGIS=define_gl_proc("glTextureColorMaskSGIS",{C_CHAR,C_CHAR,C_CHAR,C_CHAR})
CglIglooInterfaceSGIX=define_gl_proc("glIglooInterfaceSGIX",{C_INT})
CglDeleteFencesNV=define_gl_proc("glDeleteFencesNV",{C_INT,C_POINTER})
CglGenFencesNV=define_gl_proc("glGenFencesNV",{C_INT,C_INT})
CglIsFenceNV=define_gl_func("glIsFenceNV",{C_INT},C_CHAR)
CglTestFenceNV=define_gl_func("glTestFenceNV",{C_INT},C_CHAR)
CglGetFenceivNV=define_gl_proc("glGetFenceivNV",{C_INT,C_INT,C_INT})
CglFinishFenceNV=define_gl_proc("glFinishFenceNV",{C_INT})
CglSetFenceNV=define_gl_proc("glSetFenceNV",{C_INT,C_INT})
CglMapControlPointsNV=define_gl_proc("glMapControlPointsNV",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_CHAR})
CglMapParameterivNV=define_gl_proc("glMapParameterivNV",{C_INT,C_INT,C_POINTER})
CglMapParameterfvNV=define_gl_proc("glMapParameterfvNV",{C_INT,C_INT,C_POINTER})
CglGetMapControlPointsNV=define_gl_proc("glGetMapControlPointsNV",{C_INT,C_INT,C_INT,C_INT,C_INT,C_CHAR})
CglGetMapParameterivNV=define_gl_proc("glGetMapParameterivNV",{C_INT,C_INT,C_INT})
CglGetMapParameterfvNV=define_gl_proc("glGetMapParameterfvNV",{C_INT,C_INT,C_FLOAT})
CglGetMapAttribParameterivNV=define_gl_proc("glGetMapAttribParameterivNV",{C_INT,C_INT,C_INT,C_INT})
CglGetMapAttribParameterfvNV=define_gl_proc("glGetMapAttribParameterfvNV",{C_INT,C_INT,C_INT,C_FLOAT})
CglEvalMapsNV=define_gl_proc("glEvalMapsNV",{C_INT,C_INT})
CglCombinerStageParameterfvNV=define_gl_proc("glCombinerStageParameterfvNV",{C_INT,C_INT,C_POINTER})
CglGetCombinerStageParameterfvNV=define_gl_proc("glGetCombinerStageParameterfvNV",{C_INT,C_INT,C_FLOAT})
CglAreProgramsResidentNV=define_gl_func("glAreProgramsResidentNV",{C_INT,C_POINTER,C_CHAR},C_CHAR)
CglBindProgramNV=define_gl_proc("glBindProgramNV",{C_INT,C_INT})
CglDeleteProgramsNV=define_gl_proc("glDeleteProgramsNV",{C_INT,C_POINTER})
CglExecuteProgramNV=define_gl_proc("glExecuteProgramNV",{C_INT,C_INT,C_POINTER})
CglGenProgramsNV=define_gl_proc("glGenProgramsNV",{C_INT,C_INT})
CglGetProgramParameterdvNV=define_gl_proc("glGetProgramParameterdvNV",{C_INT,C_INT,C_INT,C_DOUBLE})
CglGetProgramParameterfvNV=define_gl_proc("glGetProgramParameterfvNV",{C_INT,C_INT,C_INT,C_FLOAT})
CglGetProgramivNV=define_gl_proc("glGetProgramivNV",{C_INT,C_INT,C_INT})
CglGetProgramStringNV=define_gl_proc("glGetProgramStringNV",{C_INT,C_INT,C_CHAR})
CglGetTrackMatrixivNV=define_gl_proc("glGetTrackMatrixivNV",{C_INT,C_INT,C_INT,C_INT})
CglGetVertexAttribdvNV=define_gl_proc("glGetVertexAttribdvNV",{C_INT,C_INT,C_DOUBLE})
CglGetVertexAttribfvNV=define_gl_proc("glGetVertexAttribfvNV",{C_INT,C_INT,C_FLOAT})
CglGetVertexAttribivNV=define_gl_proc("glGetVertexAttribivNV",{C_INT,C_INT,C_INT})
CglGetVertexAttribPointervNV=define_gl_proc("glGetVertexAttribPointervNV",{C_INT,C_INT})
CglIsProgramNV=define_gl_func("glIsProgramNV",{C_INT},C_CHAR)
CglLoadProgramNV=define_gl_proc("glLoadProgramNV",{C_INT,C_INT,C_INT,C_POINTER})
CglProgramParameter4dNV=define_gl_proc("glProgramParameter4dNV",{C_INT,C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglProgramParameter4dvNV=define_gl_proc("glProgramParameter4dvNV",{C_INT,C_INT,C_POINTER})
CglProgramParameter4fNV=define_gl_proc("glProgramParameter4fNV",{C_INT,C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglProgramParameter4fvNV=define_gl_proc("glProgramParameter4fvNV",{C_INT,C_INT,C_POINTER})
CglProgramParameters4dvNV=define_gl_proc("glProgramParameters4dvNV",{C_INT,C_INT,C_INT,C_POINTER})
CglProgramParameters4fvNV=define_gl_proc("glProgramParameters4fvNV",{C_INT,C_INT,C_INT,C_POINTER})
CglRequestResidentProgramsNV=define_gl_proc("glRequestResidentProgramsNV",{C_INT,C_POINTER})
CglTrackMatrixNV=define_gl_proc("glTrackMatrixNV",{C_INT,C_INT,C_INT,C_INT})
CglVertexAttribPointerNV=define_gl_proc("glVertexAttribPointerNV",{C_INT,C_INT,C_INT,C_INT})
CglVertexAttrib1dNV=define_gl_proc("glVertexAttrib1dNV",{C_INT,C_DOUBLE})
CglVertexAttrib1dvNV=define_gl_proc("glVertexAttrib1dvNV",{C_INT,C_POINTER})
CglVertexAttrib1fNV=define_gl_proc("glVertexAttrib1fNV",{C_INT,C_FLOAT})
CglVertexAttrib1fvNV=define_gl_proc("glVertexAttrib1fvNV",{C_INT,C_POINTER})
CglVertexAttrib1sNV=define_gl_proc("glVertexAttrib1sNV",{C_INT,C_SHORT})
CglVertexAttrib1svNV=define_gl_proc("glVertexAttrib1svNV",{C_INT,C_POINTER})
CglVertexAttrib2dNV=define_gl_proc("glVertexAttrib2dNV",{C_INT,C_DOUBLE,C_DOUBLE})
CglVertexAttrib2dvNV=define_gl_proc("glVertexAttrib2dvNV",{C_INT,C_POINTER})
CglVertexAttrib2fNV=define_gl_proc("glVertexAttrib2fNV",{C_INT,C_FLOAT,C_FLOAT})
CglVertexAttrib2fvNV=define_gl_proc("glVertexAttrib2fvNV",{C_INT,C_POINTER})
CglVertexAttrib2sNV=define_gl_proc("glVertexAttrib2sNV",{C_INT,C_SHORT,C_SHORT})
CglVertexAttrib2svNV=define_gl_proc("glVertexAttrib2svNV",{C_INT,C_POINTER})
CglVertexAttrib3dNV=define_gl_proc("glVertexAttrib3dNV",{C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglVertexAttrib3dvNV=define_gl_proc("glVertexAttrib3dvNV",{C_INT,C_POINTER})
CglVertexAttrib3fNV=define_gl_proc("glVertexAttrib3fNV",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT})
CglVertexAttrib3fvNV=define_gl_proc("glVertexAttrib3fvNV",{C_INT,C_POINTER})
CglVertexAttrib3sNV=define_gl_proc("glVertexAttrib3sNV",{C_INT,C_SHORT,C_SHORT,C_SHORT})
CglVertexAttrib3svNV=define_gl_proc("glVertexAttrib3svNV",{C_INT,C_POINTER})
CglVertexAttrib4dNV=define_gl_proc("glVertexAttrib4dNV",{C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglVertexAttrib4dvNV=define_gl_proc("glVertexAttrib4dvNV",{C_INT,C_POINTER})
CglVertexAttrib4fNV=define_gl_proc("glVertexAttrib4fNV",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglVertexAttrib4fvNV=define_gl_proc("glVertexAttrib4fvNV",{C_INT,C_POINTER})
CglVertexAttrib4sNV=define_gl_proc("glVertexAttrib4sNV",{C_INT,C_SHORT,C_SHORT,C_SHORT,C_SHORT})
CglVertexAttrib4svNV=define_gl_proc("glVertexAttrib4svNV",{C_INT,C_POINTER})
CglVertexAttrib4ubNV=define_gl_proc("glVertexAttrib4ubNV",{C_INT,C_CHAR,C_CHAR,C_CHAR,C_CHAR})
CglVertexAttrib4ubvNV=define_gl_proc("glVertexAttrib4ubvNV",{C_INT,C_POINTER})
CglVertexAttribs1dvNV=define_gl_proc("glVertexAttribs1dvNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs1fvNV=define_gl_proc("glVertexAttribs1fvNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs1svNV=define_gl_proc("glVertexAttribs1svNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs2dvNV=define_gl_proc("glVertexAttribs2dvNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs2fvNV=define_gl_proc("glVertexAttribs2fvNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs2svNV=define_gl_proc("glVertexAttribs2svNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs3dvNV=define_gl_proc("glVertexAttribs3dvNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs3fvNV=define_gl_proc("glVertexAttribs3fvNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs3svNV=define_gl_proc("glVertexAttribs3svNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs4dvNV=define_gl_proc("glVertexAttribs4dvNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs4fvNV=define_gl_proc("glVertexAttribs4fvNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs4svNV=define_gl_proc("glVertexAttribs4svNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs4ubvNV=define_gl_proc("glVertexAttribs4ubvNV",{C_INT,C_INT,C_POINTER})
CglTexBumpParameterivATI=define_gl_proc("glTexBumpParameterivATI",{C_INT,C_POINTER})
CglTexBumpParameterfvATI=define_gl_proc("glTexBumpParameterfvATI",{C_INT,C_POINTER})
CglGetTexBumpParameterivATI=define_gl_proc("glGetTexBumpParameterivATI",{C_INT,C_INT})
CglGetTexBumpParameterfvATI=define_gl_proc("glGetTexBumpParameterfvATI",{C_INT,C_FLOAT})
CglGenFragmentShadersATI=define_gl_func("glGenFragmentShadersATI",{C_INT},C_INT)
CglBindFragmentShaderATI=define_gl_proc("glBindFragmentShaderATI",{C_INT})
CglDeleteFragmentShaderATI=define_gl_proc("glDeleteFragmentShaderATI",{C_INT})
CglBeginFragmentShaderATI=define_gl_proc("glBeginFragmentShaderATI",{})
CglEndFragmentShaderATI=define_gl_proc("glEndFragmentShaderATI",{})
CglPassTexCoordATI=define_gl_proc("glPassTexCoordATI",{C_INT,C_INT,C_INT})
CglSampleMapATI=define_gl_proc("glSampleMapATI",{C_INT,C_INT,C_INT})
CglColorFragmentOp1ATI=define_gl_proc("glColorFragmentOp1ATI",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglColorFragmentOp2ATI=define_gl_proc("glColorFragmentOp2ATI",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglColorFragmentOp3ATI=define_gl_proc("glColorFragmentOp3ATI",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglAlphaFragmentOp1ATI=define_gl_proc("glAlphaFragmentOp1ATI",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglAlphaFragmentOp2ATI=define_gl_proc("glAlphaFragmentOp2ATI",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglAlphaFragmentOp3ATI=define_gl_proc("glAlphaFragmentOp3ATI",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglSetFragmentShaderConstantATI=define_gl_proc("glSetFragmentShaderConstantATI",{C_INT,C_POINTER})
CglPNTrianglesiATI=define_gl_proc("glPNTrianglesiATI",{C_INT,C_INT})
CglPNTrianglesfATI=define_gl_proc("glPNTrianglesfATI",{C_INT,C_FLOAT})
CglNewObjectBufferATI=define_gl_func("glNewObjectBufferATI",{C_INT,C_INT},C_INT)
CglIsObjectBufferATI=define_gl_func("glIsObjectBufferATI",{C_INT},C_CHAR)
CglUpdateObjectBufferATI=define_gl_proc("glUpdateObjectBufferATI",{C_INT,C_INT,C_INT,C_INT})
CglGetObjectBufferfvATI=define_gl_proc("glGetObjectBufferfvATI",{C_INT,C_INT,C_FLOAT})
CglGetObjectBufferivATI=define_gl_proc("glGetObjectBufferivATI",{C_INT,C_INT,C_INT})
CglFreeObjectBufferATI=define_gl_proc("glFreeObjectBufferATI",{C_INT})
CglArrayObjectATI=define_gl_proc("glArrayObjectATI",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetArrayObjectfvATI=define_gl_proc("glGetArrayObjectfvATI",{C_INT,C_INT,C_FLOAT})
CglGetArrayObjectivATI=define_gl_proc("glGetArrayObjectivATI",{C_INT,C_INT,C_INT})
CglVariantArrayObjectATI=define_gl_proc("glVariantArrayObjectATI",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglGetVariantArrayObjectfvATI=define_gl_proc("glGetVariantArrayObjectfvATI",{C_INT,C_INT,C_FLOAT})
CglGetVariantArrayObjectivATI=define_gl_proc("glGetVariantArrayObjectivATI",{C_INT,C_INT,C_INT})
CglBeginVertexShaderEXT=define_gl_proc("glBeginVertexShaderEXT",{})
CglEndVertexShaderEXT=define_gl_proc("glEndVertexShaderEXT",{})
CglBindVertexShaderEXT=define_gl_proc("glBindVertexShaderEXT",{C_INT})
CglGenVertexShadersEXT=define_gl_func("glGenVertexShadersEXT",{C_INT},C_INT)
CglDeleteVertexShaderEXT=define_gl_proc("glDeleteVertexShaderEXT",{C_INT})
CglShaderOp1EXT=define_gl_proc("glShaderOp1EXT",{C_INT,C_INT,C_INT})
CglShaderOp2EXT=define_gl_proc("glShaderOp2EXT",{C_INT,C_INT,C_INT,C_INT})
CglShaderOp3EXT=define_gl_proc("glShaderOp3EXT",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglSwizzleEXT=define_gl_proc("glSwizzleEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglWriteMaskEXT=define_gl_proc("glWriteMaskEXT",{C_INT,C_INT,C_INT,C_INT,C_INT,C_INT})
CglInsertComponentEXT=define_gl_proc("glInsertComponentEXT",{C_INT,C_INT,C_INT})
CglExtractComponentEXT=define_gl_proc("glExtractComponentEXT",{C_INT,C_INT,C_INT})
CglGenSymbolsEXT=define_gl_func("glGenSymbolsEXT",{C_INT,C_INT,C_INT,C_INT},C_INT)
CglSetInvariantEXT=define_gl_proc("glSetInvariantEXT",{C_INT,C_INT})
CglSetLocalConstantEXT=define_gl_proc("glSetLocalConstantEXT",{C_INT,C_INT})
CglVariantbvEXT=define_gl_proc("glVariantbvEXT",{C_INT,C_POINTER})
CglVariantsvEXT=define_gl_proc("glVariantsvEXT",{C_INT,C_POINTER})
CglVariantivEXT=define_gl_proc("glVariantivEXT",{C_INT,C_POINTER})
CglVariantfvEXT=define_gl_proc("glVariantfvEXT",{C_INT,C_POINTER})
CglVariantdvEXT=define_gl_proc("glVariantdvEXT",{C_INT,C_POINTER})
CglVariantubvEXT=define_gl_proc("glVariantubvEXT",{C_INT,C_POINTER})
CglVariantusvEXT=define_gl_proc("glVariantusvEXT",{C_INT,C_POINTER})
CglVariantuivEXT=define_gl_proc("glVariantuivEXT",{C_INT,C_POINTER})
CglVariantPointerEXT=define_gl_proc("glVariantPointerEXT",{C_INT,C_INT,C_INT})
CglEnableVariantClientStateEXT=define_gl_proc("glEnableVariantClientStateEXT",{C_INT})
CglDisableVariantClientStateEXT=define_gl_proc("glDisableVariantClientStateEXT",{C_INT})
CglBindLightParameterEXT=define_gl_func("glBindLightParameterEXT",{C_INT,C_INT},C_INT)
CglBindMaterialParameterEXT=define_gl_func("glBindMaterialParameterEXT",{C_INT,C_INT},C_INT)
CglBindTexGenParameterEXT=define_gl_func("glBindTexGenParameterEXT",{C_INT,C_INT,C_INT},C_INT)
CglBindTextureUnitParameterEXT=define_gl_func("glBindTextureUnitParameterEXT",{C_INT,C_INT},C_INT)
CglBindParameterEXT=define_gl_func("glBindParameterEXT",{C_INT},C_INT)
CglIsVariantEnabledEXT=define_gl_func("glIsVariantEnabledEXT",{C_INT,C_INT},C_CHAR)
CglGetVariantBooleanvEXT=define_gl_proc("glGetVariantBooleanvEXT",{C_INT,C_INT,C_CHAR})
CglGetVariantIntegervEXT=define_gl_proc("glGetVariantIntegervEXT",{C_INT,C_INT,C_INT})
CglGetVariantFloatvEXT=define_gl_proc("glGetVariantFloatvEXT",{C_INT,C_INT,C_FLOAT})
CglGetVariantPointervEXT=define_gl_proc("glGetVariantPointervEXT",{C_INT,C_INT})
CglGetInvariantBooleanvEXT=define_gl_proc("glGetInvariantBooleanvEXT",{C_INT,C_INT,C_CHAR})
CglGetInvariantIntegervEXT=define_gl_proc("glGetInvariantIntegervEXT",{C_INT,C_INT,C_INT})
CglGetInvariantFloatvEXT=define_gl_proc("glGetInvariantFloatvEXT",{C_INT,C_INT,C_FLOAT})
CglGetLocalConstantBooleanvEXT=define_gl_proc("glGetLocalConstantBooleanvEXT",{C_INT,C_INT,C_CHAR})
CglGetLocalConstantIntegervEXT=define_gl_proc("glGetLocalConstantIntegervEXT",{C_INT,C_INT,C_INT})
CglGetLocalConstantFloatvEXT=define_gl_proc("glGetLocalConstantFloatvEXT",{C_INT,C_INT,C_FLOAT})
CglVertexStream1sATI=define_gl_proc("glVertexStream1sATI",{C_INT,C_SHORT})
CglVertexStream1svATI=define_gl_proc("glVertexStream1svATI",{C_INT,C_POINTER})
CglVertexStream1iATI=define_gl_proc("glVertexStream1iATI",{C_INT,C_INT})
CglVertexStream1ivATI=define_gl_proc("glVertexStream1ivATI",{C_INT,C_POINTER})
CglVertexStream1fATI=define_gl_proc("glVertexStream1fATI",{C_INT,C_FLOAT})
CglVertexStream1fvATI=define_gl_proc("glVertexStream1fvATI",{C_INT,C_POINTER})
CglVertexStream1dATI=define_gl_proc("glVertexStream1dATI",{C_INT,C_DOUBLE})
CglVertexStream1dvATI=define_gl_proc("glVertexStream1dvATI",{C_INT,C_POINTER})
CglVertexStream2sATI=define_gl_proc("glVertexStream2sATI",{C_INT,C_SHORT,C_SHORT})
CglVertexStream2svATI=define_gl_proc("glVertexStream2svATI",{C_INT,C_POINTER})
CglVertexStream2iATI=define_gl_proc("glVertexStream2iATI",{C_INT,C_INT,C_INT})
CglVertexStream2ivATI=define_gl_proc("glVertexStream2ivATI",{C_INT,C_POINTER})
CglVertexStream2fATI=define_gl_proc("glVertexStream2fATI",{C_INT,C_FLOAT,C_FLOAT})
CglVertexStream2fvATI=define_gl_proc("glVertexStream2fvATI",{C_INT,C_POINTER})
CglVertexStream2dATI=define_gl_proc("glVertexStream2dATI",{C_INT,C_DOUBLE,C_DOUBLE})
CglVertexStream2dvATI=define_gl_proc("glVertexStream2dvATI",{C_INT,C_POINTER})
CglVertexStream3sATI=define_gl_proc("glVertexStream3sATI",{C_INT,C_SHORT,C_SHORT,C_SHORT})
CglVertexStream3svATI=define_gl_proc("glVertexStream3svATI",{C_INT,C_POINTER})
CglVertexStream3iATI=define_gl_proc("glVertexStream3iATI",{C_INT,C_INT,C_INT,C_INT})
CglVertexStream3ivATI=define_gl_proc("glVertexStream3ivATI",{C_INT,C_POINTER})
CglVertexStream3fATI=define_gl_proc("glVertexStream3fATI",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT})
CglVertexStream3fvATI=define_gl_proc("glVertexStream3fvATI",{C_INT,C_POINTER})
CglVertexStream3dATI=define_gl_proc("glVertexStream3dATI",{C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglVertexStream3dvATI=define_gl_proc("glVertexStream3dvATI",{C_INT,C_POINTER})
CglVertexStream4sATI=define_gl_proc("glVertexStream4sATI",{C_INT,C_SHORT,C_SHORT,C_SHORT,C_SHORT})
CglVertexStream4svATI=define_gl_proc("glVertexStream4svATI",{C_INT,C_POINTER})
CglVertexStream4iATI=define_gl_proc("glVertexStream4iATI",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglVertexStream4ivATI=define_gl_proc("glVertexStream4ivATI",{C_INT,C_POINTER})
CglVertexStream4fATI=define_gl_proc("glVertexStream4fATI",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglVertexStream4fvATI=define_gl_proc("glVertexStream4fvATI",{C_INT,C_POINTER})
CglVertexStream4dATI=define_gl_proc("glVertexStream4dATI",{C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglVertexStream4dvATI=define_gl_proc("glVertexStream4dvATI",{C_INT,C_POINTER})
CglNormalStream3bATI=define_gl_proc("glNormalStream3bATI",{C_INT,C_CHAR,C_CHAR,C_CHAR})
CglNormalStream3bvATI=define_gl_proc("glNormalStream3bvATI",{C_INT,C_POINTER})
CglNormalStream3sATI=define_gl_proc("glNormalStream3sATI",{C_INT,C_SHORT,C_SHORT,C_SHORT})
CglNormalStream3svATI=define_gl_proc("glNormalStream3svATI",{C_INT,C_POINTER})
CglNormalStream3iATI=define_gl_proc("glNormalStream3iATI",{C_INT,C_INT,C_INT,C_INT})
CglNormalStream3ivATI=define_gl_proc("glNormalStream3ivATI",{C_INT,C_POINTER})
CglNormalStream3fATI=define_gl_proc("glNormalStream3fATI",{C_INT,C_FLOAT,C_FLOAT,C_FLOAT})
CglNormalStream3fvATI=define_gl_proc("glNormalStream3fvATI",{C_INT,C_POINTER})
CglNormalStream3dATI=define_gl_proc("glNormalStream3dATI",{C_INT,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglNormalStream3dvATI=define_gl_proc("glNormalStream3dvATI",{C_INT,C_POINTER})
CglClientActiveVertexStreamATI=define_gl_proc("glClientActiveVertexStreamATI",{C_INT})
CglVertexBlendEnviATI=define_gl_proc("glVertexBlendEnviATI",{C_INT,C_INT})
CglVertexBlendEnvfATI=define_gl_proc("glVertexBlendEnvfATI",{C_INT,C_FLOAT})
CglElementPointerATI=define_gl_proc("glElementPointerATI",{C_INT})
CglDrawElementArrayATI=define_gl_proc("glDrawElementArrayATI",{C_INT,C_INT})
CglDrawRangeElementArrayATI=define_gl_proc("glDrawRangeElementArrayATI",{C_INT,C_INT,C_INT,C_INT})
CglDrawMeshArraysSUN=define_gl_proc("glDrawMeshArraysSUN",{C_INT,C_INT,C_INT,C_INT})
CglGenOcclusionQueriesNV=define_gl_proc("glGenOcclusionQueriesNV",{C_INT,C_INT})
CglDeleteOcclusionQueriesNV=define_gl_proc("glDeleteOcclusionQueriesNV",{C_INT,C_POINTER})
CglIsOcclusionQueryNV=define_gl_func("glIsOcclusionQueryNV",{C_INT},C_CHAR)
CglBeginOcclusionQueryNV=define_gl_proc("glBeginOcclusionQueryNV",{C_INT})
CglEndOcclusionQueryNV=define_gl_proc("glEndOcclusionQueryNV",{})
CglGetOcclusionQueryivNV=define_gl_proc("glGetOcclusionQueryivNV",{C_INT,C_INT,C_INT})
CglGetOcclusionQueryuivNV=define_gl_proc("glGetOcclusionQueryuivNV",{C_INT,C_INT,C_INT})
CglPointParameteriNV=define_gl_proc("glPointParameteriNV",{C_INT,C_INT})
CglPointParameterivNV=define_gl_proc("glPointParameterivNV",{C_INT,C_POINTER})
CglActiveStencilFaceEXT=define_gl_proc("glActiveStencilFaceEXT",{C_INT})
CglElementPointerAPPLE=define_gl_proc("glElementPointerAPPLE",{C_INT})
CglDrawElementArrayAPPLE=define_gl_proc("glDrawElementArrayAPPLE",{C_INT,C_INT,C_INT})
CglDrawRangeElementArrayAPPLE=define_gl_proc("glDrawRangeElementArrayAPPLE",{C_INT,C_INT,C_INT,C_INT,C_INT})
CglMultiDrawElementArrayAPPLE=define_gl_proc("glMultiDrawElementArrayAPPLE",{C_INT,C_POINTER,C_POINTER,C_INT})
CglMultiDrawRangeElementArrayAPPLE=define_gl_proc("glMultiDrawRangeElementArrayAPPLE",{C_INT,C_INT,C_INT,C_POINTER,C_POINTER,C_INT})
CglGenFencesAPPLE=define_gl_proc("glGenFencesAPPLE",{C_INT,C_INT})
CglDeleteFencesAPPLE=define_gl_proc("glDeleteFencesAPPLE",{C_INT,C_POINTER})
CglSetFenceAPPLE=define_gl_proc("glSetFenceAPPLE",{C_INT})
CglIsFenceAPPLE=define_gl_func("glIsFenceAPPLE",{C_INT},C_CHAR)
CglTestFenceAPPLE=define_gl_func("glTestFenceAPPLE",{C_INT},C_CHAR)
CglFinishFenceAPPLE=define_gl_proc("glFinishFenceAPPLE",{C_INT})
CglTestObjectAPPLE=define_gl_func("glTestObjectAPPLE",{C_INT,C_INT},C_CHAR)
CglFinishObjectAPPLE=define_gl_proc("glFinishObjectAPPLE",{C_INT,C_INT})
CglBindVertexArrayAPPLE=define_gl_proc("glBindVertexArrayAPPLE",{C_INT})
CglDeleteVertexArraysAPPLE=define_gl_proc("glDeleteVertexArraysAPPLE",{C_INT,C_POINTER})
CglGenVertexArraysAPPLE=define_gl_proc("glGenVertexArraysAPPLE",{C_INT,C_POINTER})
CglIsVertexArrayAPPLE=define_gl_func("glIsVertexArrayAPPLE",{C_INT},C_CHAR)
CglVertexArrayRangeAPPLE=define_gl_proc("glVertexArrayRangeAPPLE",{C_INT})
CglFlushVertexArrayRangeAPPLE=define_gl_proc("glFlushVertexArrayRangeAPPLE",{C_INT})
CglVertexArrayParameteriAPPLE=define_gl_proc("glVertexArrayParameteriAPPLE",{C_INT,C_INT})
CglDrawBuffersATI=define_gl_proc("glDrawBuffersATI",{C_INT,C_POINTER})
CglProgramNamedParameter4fNV=define_gl_proc("glProgramNamedParameter4fNV",{C_INT,C_INT,C_POINTER,C_FLOAT,C_FLOAT,C_FLOAT,C_FLOAT})
CglProgramNamedParameter4dNV=define_gl_proc("glProgramNamedParameter4dNV",{C_INT,C_INT,C_POINTER,C_DOUBLE,C_DOUBLE,C_DOUBLE,C_DOUBLE})
CglProgramNamedParameter4fvNV=define_gl_proc("glProgramNamedParameter4fvNV",{C_INT,C_INT,C_POINTER,C_POINTER})
CglProgramNamedParameter4dvNV=define_gl_proc("glProgramNamedParameter4dvNV",{C_INT,C_INT,C_POINTER,C_POINTER})
CglGetProgramNamedParameterfvNV=define_gl_proc("glGetProgramNamedParameterfvNV",{C_INT,C_INT,C_POINTER,C_FLOAT})
CglGetProgramNamedParameterdvNV=define_gl_proc("glGetProgramNamedParameterdvNV",{C_INT,C_INT,C_POINTER,C_DOUBLE})
CglVertex2hNV=define_gl_proc("glVertex2hNV",{C_SHORT,C_SHORT})
CglVertex2hvNV=define_gl_proc("glVertex2hvNV",{C_POINTER})
CglVertex3hNV=define_gl_proc("glVertex3hNV",{C_SHORT,C_SHORT,C_SHORT})
CglVertex3hvNV=define_gl_proc("glVertex3hvNV",{C_POINTER})
CglVertex4hNV=define_gl_proc("glVertex4hNV",{C_SHORT,C_SHORT,C_SHORT,C_SHORT})
CglVertex4hvNV=define_gl_proc("glVertex4hvNV",{C_POINTER})
CglNormal3hNV=define_gl_proc("glNormal3hNV",{C_SHORT,C_SHORT,C_SHORT})
CglNormal3hvNV=define_gl_proc("glNormal3hvNV",{C_POINTER})
CglColor3hNV=define_gl_proc("glColor3hNV",{C_SHORT,C_SHORT,C_SHORT})
CglColor3hvNV=define_gl_proc("glColor3hvNV",{C_POINTER})
CglColor4hNV=define_gl_proc("glColor4hNV",{C_SHORT,C_SHORT,C_SHORT,C_SHORT})
CglColor4hvNV=define_gl_proc("glColor4hvNV",{C_POINTER})
CglTexCoord1hNV=define_gl_proc("glTexCoord1hNV",{C_SHORT})
CglTexCoord1hvNV=define_gl_proc("glTexCoord1hvNV",{C_POINTER})
CglTexCoord2hNV=define_gl_proc("glTexCoord2hNV",{C_SHORT,C_SHORT})
CglTexCoord2hvNV=define_gl_proc("glTexCoord2hvNV",{C_POINTER})
CglTexCoord3hNV=define_gl_proc("glTexCoord3hNV",{C_SHORT,C_SHORT,C_SHORT})
CglTexCoord3hvNV=define_gl_proc("glTexCoord3hvNV",{C_POINTER})
CglTexCoord4hNV=define_gl_proc("glTexCoord4hNV",{C_SHORT,C_SHORT,C_SHORT,C_SHORT})
CglTexCoord4hvNV=define_gl_proc("glTexCoord4hvNV",{C_POINTER})
CglMultiTexCoord1hNV=define_gl_proc("glMultiTexCoord1hNV",{C_INT,C_SHORT})
CglMultiTexCoord1hvNV=define_gl_proc("glMultiTexCoord1hvNV",{C_INT,C_POINTER})
CglMultiTexCoord2hNV=define_gl_proc("glMultiTexCoord2hNV",{C_INT,C_SHORT,C_SHORT})
CglMultiTexCoord2hvNV=define_gl_proc("glMultiTexCoord2hvNV",{C_INT,C_POINTER})
CglMultiTexCoord3hNV=define_gl_proc("glMultiTexCoord3hNV",{C_INT,C_SHORT,C_SHORT,C_SHORT})
CglMultiTexCoord3hvNV=define_gl_proc("glMultiTexCoord3hvNV",{C_INT,C_POINTER})
CglMultiTexCoord4hNV=define_gl_proc("glMultiTexCoord4hNV",{C_INT,C_SHORT,C_SHORT,C_SHORT,C_SHORT})
CglMultiTexCoord4hvNV=define_gl_proc("glMultiTexCoord4hvNV",{C_INT,C_POINTER})
CglFogCoordhNV=define_gl_proc("glFogCoordhNV",{C_SHORT})
CglFogCoordhvNV=define_gl_proc("glFogCoordhvNV",{C_POINTER})
CglSecondaryColor3hNV=define_gl_proc("glSecondaryColor3hNV",{C_SHORT,C_SHORT,C_SHORT})
CglSecondaryColor3hvNV=define_gl_proc("glSecondaryColor3hvNV",{C_POINTER})
CglVertexWeighthNV=define_gl_proc("glVertexWeighthNV",{C_SHORT})
CglVertexWeighthvNV=define_gl_proc("glVertexWeighthvNV",{C_POINTER})
CglVertexAttrib1hNV=define_gl_proc("glVertexAttrib1hNV",{C_INT,C_SHORT})
CglVertexAttrib1hvNV=define_gl_proc("glVertexAttrib1hvNV",{C_INT,C_POINTER})
CglVertexAttrib2hNV=define_gl_proc("glVertexAttrib2hNV",{C_INT,C_SHORT,C_SHORT})
CglVertexAttrib2hvNV=define_gl_proc("glVertexAttrib2hvNV",{C_INT,C_POINTER})
CglVertexAttrib3hNV=define_gl_proc("glVertexAttrib3hNV",{C_INT,C_SHORT,C_SHORT,C_SHORT})
CglVertexAttrib3hvNV=define_gl_proc("glVertexAttrib3hvNV",{C_INT,C_POINTER})
CglVertexAttrib4hNV=define_gl_proc("glVertexAttrib4hNV",{C_INT,C_SHORT,C_SHORT,C_SHORT,C_SHORT})
CglVertexAttrib4hvNV=define_gl_proc("glVertexAttrib4hvNV",{C_INT,C_POINTER})
CglVertexAttribs1hvNV=define_gl_proc("glVertexAttribs1hvNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs2hvNV=define_gl_proc("glVertexAttribs2hvNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs3hvNV=define_gl_proc("glVertexAttribs3hvNV",{C_INT,C_INT,C_POINTER})
CglVertexAttribs4hvNV=define_gl_proc("glVertexAttribs4hvNV",{C_INT,C_INT,C_POINTER})
CglPixelDataRangeNV=define_gl_proc("glPixelDataRangeNV",{C_INT,C_INT})
CglFlushPixelDataRangeNV=define_gl_proc("glFlushPixelDataRangeNV",{C_INT})
CglPrimitiveRestartNV=define_gl_proc("glPrimitiveRestartNV",{})
CglPrimitiveRestartIndexNV=define_gl_proc("glPrimitiveRestartIndexNV",{C_INT})
CglMapObjectBufferATI=define_gl_proc("glMapObjectBufferATI",{C_INT})
CglUnmapObjectBufferATI=define_gl_proc("glUnmapObjectBufferATI",{C_INT})
CglStencilOpSeparateATI=define_gl_proc("glStencilOpSeparateATI",{C_INT,C_INT,C_INT,C_INT})
CglStencilFuncSeparateATI=define_gl_proc("glStencilFuncSeparateATI",{C_INT,C_INT,C_INT,C_INT})
CglVertexAttribArrayObjectATI=define_gl_proc("glVertexAttribArrayObjectATI",{C_INT,C_INT,C_INT,C_CHAR,C_INT,C_INT,C_INT})
CglGetVertexAttribArrayObjectfvATI=define_gl_proc("glGetVertexAttribArrayObjectfvATI",{C_INT,C_INT,C_FLOAT})
CglGetVertexAttribArrayObjectivATI=define_gl_proc("glGetVertexAttribArrayObjectivATI",{C_INT,C_INT,C_INT})
end procedure

