procedure putw(atom fn, object num)
        if atom(num) then
                puts(fn,and_bits(num,#FF))
                puts(fn,floor(num/256))
        else
                for i = 1 to length(num) do
                        putw(fn,num[i])
                end for
        end if
end procedure

function getw(atom fn)
        return getc(fn)+getc(fn)*256
end function

global procedure TGA_Save_mem(object fn, atom image, atom width, atom height, atom num)
        fn=open(fn,"wb")
        if fn=-1 then return end if
--    /*
--     *  Write file header.
--     */
        puts(fn,0)--Header length
        puts(fn,0)--Color Map Type. There's no color map here (0).
        puts(fn,2)--And then the Image Type. Uncompressed True Color (2) is the only one supported by TGASAVE.
        puts(fn,{0,0,0,0,0})--The 5 Color Map Specification bytes should be 0, since we don'e use no color table.
        putw(fn,{0,0})
--    /*
--     *  Now we should output the image specification. The last byte
--     *  written (32) indicates that the first pixel is upper left on
--     *  the screen. TGASAVE supports 24-bit pixels only.
--     */
        putw(fn,{width,height})
        puts(fn,{num*8,32})
--    /*
--     *  Now we write the Image ID string.
--     */
--      puts(fn,repeat(0,256))
--    /*
--     *  Write the image data.
--     */

        puts(fn,peek({image,num*width*height}))

--    /*
--     *  Write footer, and close the file.
--     */

--    /*
--     *  Now we get to the actual footer. Write offset of Extension
--     *  Area and Developer Area, followed by the signature.
--     */
        putw(fn,{0,0})
        puts(fn,"TRUEVISION-XFILE."&0)
        close(fn)
end procedure

global procedure TGA_Save(object fn, sequence image)
        fn=open(fn,"wb")
        if fn=-1 then return end if
--    /*
--     *  Write file header.
--     */
        puts(fn,0)--Header length
        puts(fn,0)--Color Map Type. There's no color map here (0).
        puts(fn,2)--And then the Image Type. Uncompressed True Color (2) is the only one supported by TGASAVE.
        puts(fn,{0,0,0,0,0})--The 5 Color Map Specification bytes should be 0, since we don'e use no color table.
        putw(fn,{0,0})
--    /*
--     *  Now we should output the image specification. The last byte
--     *  written (32) indicates that the first pixel is upper left on
--     *  the screen. TGASAVE supports 24-bit/32-bit pixels only.
--     */
        putw(fn,{length(image[1]),length(image)})
        puts(fn,{32,32})
--    /*
--     *  Now we write the Image ID string.
--     */
--      puts(fn,repeat(0,256))
--    /*
--     *  Write the image data.
--     */

        for y=1 to length(image) do
                for x=1 to length(image[y]) do
                        puts(fn,image[y][x])--blue,green,red,alpha
                end for
        end for

--    /*
--     *  Write footer, and close the file.
--     */

--    /*
--     *  Now we get to the actual footer. Write offset of Extension
--     *  Area and Developer Area, followed by the signature.
--     */
        putw(fn,{0,0})
        puts(fn,"TRUEVISION-XFILE."&0)
        close(fn)
end procedure

global function TGA_Load(object fn)
        sequence image
        atom width,height,junk,bpp
        image={}
        fn=open(fn,"rb")
        if fn=-1 then return image end if
        junk=seek(fn,12)
        width=getw(fn)--12=width
        height=getw(fn)--14=height
        junk=seek(fn,17)
        bpp=getc(fn)
        junk=seek(fn,18)--18+256
        image=repeat(repeat(repeat(0,4),width),height)
        if bpp=32 then
        for y=1 to height do
                for x=1 to width do
                        image[y][x][1]=getc(fn)--red
                        image[y][x][2]=getc(fn)--green
                        image[y][x][3]=getc(fn)--blue
                        image[y][x][4]=getc(fn)--alpha
                end for
        end for
        else
                for y=1 to height do
                for x=1 to width do
                        image[y][x][1]=getc(fn)--red
                        image[y][x][2]=getc(fn)--green
                        image[y][x][3]=getc(fn)--blue
                        image[y][x][4]=255--alpha
                end for
                end for
        end if
        close(fn)
        return image
end function


global function TGA_Load_Mem(object fn)
        sequence image,img
        atom width,height,junk,bpp,img_pointer,spot
        image={}
        fn=open(fn,"rb")
        if fn=-1 then return image end if
        junk=seek(fn,12)
        width=getw(fn)--12=width
        height=getw(fn)--14=height
        img_pointer=allocate(width*height*4)
        junk=seek(fn,17)
        bpp=getc(fn)
        junk=seek(fn,18)--18+256
        image=repeat(repeat(repeat(0,4),width),height)
        if bpp=32 then
                poke(img_pointer,get_bytes(fn,width*height*4))
        else
                spot=img_pointer
                for y=1 to height do
                for x=1 to width do
                        img=get_bytes(fn,3)
                        poke(spot,img&(img[1]+img[2]+img[3])/3)
                        spot+=4
                end for
                end for
        end if
        close(fn)
        return {width,height,img_pointer}
end function




